Witamy

>> Pomoc dla użytkowników systemu asix - wersji 5.2

www.asix.com.pl

AsTrend -

Prezentacja danych archiwalnych

Dok. Nr PLH5022

Wersja: 07-01-2009


1. Program AsTrend

Program AsTrend przeznaczony jest do graficznej prezentacji danych archiwalnych gromadzonych przez aplikację systemu asix. Możliwe są dwa sposoby pracy AsTrend: statyczne odrysowanie danych zgromadzonych w plikach archiwalnych lub dynamiczne wyświetlanie danych napływających z obiektu (symulacja rejestratora).

Aby móc definiować nowe trendy lub zmieniać już istniejące, należy posiadać bazę definicji zmiennych systemu asix. Szczegółowe procedury tworzenia przez administratora bazy definicji zmiennych zostały umieszczone w podręczniku: Architekt - podręcznik użytkownika.

Dodatkowo możliwe jest również pokazywanie wykresów wartości zmiennych pobranych ze źródeł zewnętrznych (pliki csv, xls oraz bazy typu MSSQL i Access), pod warunkiem że struktura bazy pozwoli na odczyt danych w sposób uporządkowany.


1.1. Nowosci w wersji 5.2

1.1. Nowości w wersji 5.2

strzalka Nawigacja po 'historii okresów’

Dodane do menu Okres polecenia [image] [image] Ustaw poprzedni / następny pozwalają na poruszanie się po historii kolejno wyświetlonych przez użytkownika okresów (działanie identyczne jak przyciski Wstecz / Dalej w przeglądarce internetowej); zapamiętywanych jest 20 kolejno wyświetlonych okresów.

strzalka Modernizacja schowka okresów

Zmiany w zakresie funkcjonalności i wyglądu schowka okresów obejmują:

- zapisywane okresy przechowywane są w pliku konfiguracyjnym trendów (a nie w rejestrze jak dotychczas);

- okres zapamiętywany jest jako Opis, Początek, Koniec wraz z dodatkowymi informacjami dotyczącymi ustawień głównej i dodatkowej linii odczytu (pola Główna linia odczytu i Dodatkowa linia odczytu umieszczone na zakładce Historia okresów okna schowka).

strzalka Lista ostatnio otwieranych trendów / baz definicji zmiennych

W menu Plik pojawiły się nowe polecenia umożliwiające otwieranie trendów / baz definicji zmiennych z listy ostatnio otwieranych plików. Polecenia te dostępne są w pełnym trybie pracy programu AsTrend.

strzalka Zmiany w funkcjonalności legendy

- Użytkownik ma możliwość zmiany wysokości legendy za pomocą Paska podziału [image], nowego polecenia dostępnego w menu Widok. Wysokość legendy jest zaokrąglana do pełnych wierszy.

- Pola wyświetlane w tabeli legendy mogą być teraz usuwane metodą drag-and-drop.

- Legenda na wydruku może być umieszczana na osobnej stronie (Opcje trendu > Wydruk > parametr Układ legendy &endash; Legenda na osobnej stronie).

strzalka Deklaracja parametrów sieciowych

Wersja AsTrend 5.2 daje możliwość wyboru serwerów danych, z których pobierane są wartości wyświetlanych na wykresie zmiennych. W tym celu pośród opcji programu określanych przy użyciu okna wywoływanego komendą Plik > Opcje programu&ldots; zamieszczona została zakładka Sieć z możliwością zadeklarowania nazwy serwerów danych, z których pobierane będą dane do wyświetlania wykresów trendów oraz Maksymalnego czasu oczekiwania na zgłoszenie się serwera i Maksymalnego czasu odpowiedzi serwera danych.

strzalka Pozostałe zmiany

Polecenie Blokada zmiany rozmiarów zastąpione zostało przez dwie odrębne komendy: Blokada rozmiarów okna i [image] Stały układ wykresu. Polecenia znajdują się w menu Widok. Stały układ wykresu oznacza, że osie i legenda zawsze są widoczne, szerokość etykiet lewej i prawej osi jest stała (z wyjątkiem wykresu wieloosiowego), a na wydruku zawsze jest zarezerwowane miejsce na tytuł trendu - taki układ wykresu ułatwia porównywanie wydruków trendów.

Aktualnie maksymalna ilość serii danych, które mogą być wyświetlona na jednym wykresie została zwiększona z 16 do 32 serii.

Użytkownik może dokonywać zmiany koloru lewej i dolnej ściany wykresu 3D (do tej pory kolory tych elementów były nieedytowalne).

Dodany został parametr, który pozwala określić rodzaj okna, jakie będzie używane do otwierania plików trendu (z lub bez opcji podglądu zawartości trendu) - opcja działa tylko wtedy, gdy program AsTrend uruchamiany jest samodzielnie: Opcje programu > zakładka Okno otwarcia trendu > opcja Okno otwarcia pliku trendu.

Zarówno administrator jak i operator mogą mieć zablokowaną możliwość kasowania plików w sytuacji, kiedy na pliki AsTrend nałożona została blokada zapisu (opcja ustawiana w Architekcie: Obszary i komputery > Parametry startowe > Programy > opcja Blokada zapisu w programie AsTrend.

W momencie, gdy program AsTrend jest uruchamiany na danym komputerze razem z asixem, powinien być wywoływany przez Operatora z menu aplikacji asixa a nie z belki systemu Windows. AsTrend uruchomiony z belki ma ograniczenia dotyczące operacji na plikach - Operator nie może zapisywać plików, ponieważ nie ma zadeklarowanego katalogu, w którym plik mógłby być zapisany.

Nowa opcja uruchamiania AsTrend w aplikacji asix: dzięki wprowadzonym modyfikacjom dostępnej w systemie asix akcji operatorskiej ASTREND (poza możliwością otwarcia okna programu AsTrend z jednoczesnym wyświetleniem trendu wg definicji zapisanej w pliku *.trnx) istnieje również możliwość automatycznego wydruku trendu, wskazanego w definicji akcji. Dzieje się tak dzięki dodanemu parametrowi Tryb, określającemu sposób działania akcji: DRUKUJ_WYKRES - drukuj wykres trendu lub POKAŻ_WYKRES - wyświetl wykres trendu.


1.2. Nowosci w wersji 5.1

1.2. Nowości w wersji 5.1

Program AsTrend w najnowszej wersji 5.1. został wyposażony w nową zaawansowaną funkcjonalność, która wyróżnia się intuicyjnością i łatwością obsługi. Nowa wersja oznacza przede wszystkim nowe możliwości w zakresie wyświetlania wielu rodzajów danych, możliwość rysowania wykresów o bardzo szerokim okresie za pomocą wartości uśrednionych, możliwość wyświetlania wykresów wartości zmiennych pobieranych z plików zewnętrznych oraz nowy przyjazny dla użytkownika interfejs graficzny, ułatwiający definiowanie i obsługę trendów w sposób bardziej efektywny i kreatywny.

Nowy Kreator Trendów

Wraz z wersją 5.1 programu AsTrend użytkownicy otrzymują udoskonalone narzędzie prowadzące użytkownika przez kolejne etapy definiowania trendu - czyli w przypadku programu AsTrend - definicji okna zawierającego zestaw wykresów zadeklarowanych zmiennych.

Nowy Kreator trendów dzięki systemowi podpowiedzi gwarantuje, że definicje trendów tworzone są w sposób szybki, łatwy i przyjemny. Na poszczególnych etapach tworzenia definicji użytkownik informowany jest m.in. o możliwych do zadeklarowania typach wykresu, typach osi, polach widocznych w legendzie i okresach próbkowania.

Kontrola uprawnień użytkowników AsTrend

Program AsTrend w wersji 5.1 wyposażony został w obsługę mechanizmu zarządzania i kontroli uprawnień opartego na systemie logowania indywidualnych użytkowników. Dzięki temu istnieje możliwość nadania użytkownikom indywidualnych haseł i uprawnień, które decydują o tym, które informacje są dla nich widoczne, lub które parametry mogą być przez nich modyfikowane.

W wersji AsTrend 5.1 obsługa uprawnień użytkowników może być realizowana na dwa sposoby:

  • z wykorzystaniem modułu AsAudit, który zapewnia bogate możliwości zarządzania użytkownikami oraz ich uprawnieniami (wymagane zainstalowanie silnika bazy MS SQL Express na jednym centralnym serwerze bazy uprawnień);

  • z wykorzystaniem uproszczonych mechanizmów zarządzania uprawnieniami dostępnych w starszych wersjach programu AsTrend.

Obsługa Agregatora - modułu systemu asix do wyliczania i archiwizacji danych statystycznych

Zastosowanie modułu Agregator pozwoliło na zoptymalizowanie mechanizmu rysowania wykresów o szerokim okresie czasu. Wykresy rysowane są w pierwszej kolejności z wartości zagregowanych pobieranych z archiwum serwera asix, co znacząco wpływa na szybkość i elastyczność ich wyświetlania. AsTrend automatycznie sam dobiera okres agregatu do horyzontu wyświetlanego wykresu.

Nowe agregaty - nowe źródło analiz danych statystycznych

Dla potrzeb efektywnych analiz użytkownik programu AsTrend wersji 5.1 ma dostęp do obszernego zestawu wartości agregowanych na żądanie dla wszystkich danych z dowolnego horyzontu czasu. Zestaw agregatów obejmuje następujące pozycje: wartość minimalna, wartość maksymalna, rozpiętość wartości, wartość początkowa, wartość końcowa, przyrost wartości, całka, wartość średnia, wartość średnia0 oraz gradient (czyli agregat rozpiętość wartości podzielony przez długość okresu w sekundach).

Agregaty mogą być wykorzystywane do wyliczenia i wyświetlenia przebiegów wartości zagregowanych w zadanym horyzoncie czasu, lub też wyliczone na podstawie danych z aktualnie wyświetlonego okresu i wyświetlone w polach legendy.

Dwie linie odczytu wartości na wykresie

AsTrend umożliwia bardzo dokładny odczyt wartości punktów pomiarowych przy pomocy linii odczytu ustawianej ręcznie lub przy użyciu okna dialogowego. Interesujące operatora wartości wskazanego punktu pomiarowego, m.in.: czas, wartość wskazana, wartość liczona, wyświetlane są w polach legendy.

Dzięki dodaniu w wersji 5.1 mechanizmu drugiej linii odczytu użytkownik otrzymuje możliwość swobodnego wydzielenia na wykresie dowolnego odcinka czasu, dla którego wyliczone zostaną agregaty, wyświetlane w polach legendy (jeśli linie odczytu są wyłączone, wspomniane pola w legendzie wskazują agregaty wyliczane dla całego wyświetlonego okresu). Druga linia odczytu posiada własne pola w legendzie wyświetlające: czas, wartość wskazaną, wartość liczoną oraz długość odcinka czasu pomiędzy obiema liniami.

Nowe opcje eksportu danych z wykresów

Korzystając z nowej komendy Eksportuj dane eksportujdane można w łatwy sposób wyeksportować dane prezentowane na ekranie monitora.

Udostępniony został zmodyfikowany format eksportu, w którym wartości punktów pomiarowych zmiennych wraz ze stemplem czasowym eksportowane są do pliku tekstowego *.txt, *.csv (lub schowka) w formie wartości oddzielonych znakami separatora (lub w przypadku eksportu do schowka - znakami tabulacji). Dane uszeregowane są w kolumnach zawierających kolejno: czas, wartości zmiennej. Każda zmienna posiada swoja kolumnę czasu i wartości - wyjątkiem jest przypadek danych równomiernych (stały okres czasu pomiędzy kolejnymi próbkami), gdzie istnieje możliwość ustawienia wspólnej kolumny czasu. Czas eksportowany jest w formacie systemowym ('2008-02-20 16:48:22’). Dla serii alarmowych oraz danych zewnętrznych kolumna czasu dodatkowo zawiera milisekundy. Dodano też możliwość ustawienia nagłówka dwuwierszowego oraz załączenia opcji wyświetlania przy nazwach zmiennych jednostki.

Odczyt danych z zewnętrznych źródeł

Poza odczytem danych dostarczanych przez system asix, program AsTrend pozwala również na pobranie danych z zewnętrznego źródła. Odczytanie danych z plików *.csv, *.xls, oraz źródeł dostępnych poprzez OLE DB - takich jak bazy typu MSSQL i Access, ułatwia proste w użyciu i całkowicie intuicyjne okno dialogowe, zawierające podpowiedzi na temat wymaganej struktury danych w zewnętrznych źródłach, warunkującej odczyt danych w sposób uporządkowany czasowo.

Nowe typy prezentowanych danych

Nowa funkcjonalność programu AsTrend zwiększa możliwości w zakresie dostępnych typów danych, które mogą być prezentowane w przebiegach czasowych - poszerzając tym samym zakres informacji poddawanych analizie.

Poza wartościami zmiennych procesowych na wykresach istnieje możliwość wyświetlenia:

  • stałej, rysowanej jako pozioma linia;

  • zmiennej wyliczanej na podstawie wartości innych zmiennych;

  • informacji o momentach zmiany stanu alarmu;

  • oraz możliwość tworzenia wykresów z danych odczytanych z zewnętrznych źródeł (pliki *.csv, *.xls, bazy typu MS SQL i Access).

Wykresy dwuwymiarowe X-Y

Wykresy dwuwymiarowe dostępne od wersji AsTrend 5.1. umożliwiają prezentację i analizę zależności pomiędzy zmiennymi.

Wykres X-Y stanowi funkcję dwóch zmiennych asixa przy założeniu, że okres czasu pomiędzy kolejnymi próbkami jest stały dla obu zmiennych (dane równomierne), a zmienne nie są binarne.

  • Zawartość etykiet załączanych dla punktów wykresu X-Y może być modyfikowana.

Możliwość użycia dodatkowej osi czasu

Możliwości oferowane przez wykresy powinny uwzględniać realizację porównań przebiegów tych samych bądź różnych zmiennych w różnych okresach czasu. Efekt taki można uzyskać w programie AsTrend stosując dodatkową oś czasu, załączaną dla jednej ze zmiennych, której przebieg jest porównywany z przebiegiem drugiej zmiennej (możliwe jest też porównywanie przebiegów tej samej zmiennej w 2 różnych okresach czasu).

Zmiany w zakresie sposobu próbkowania / obsługi różnych typów danych

W programie AsTrend 5.1. dostępne są następujące sposoby próbkowania powiązane z określonym typem danych:

  • odstępy pomiędzy pomiarami są takie jak w archiwum (narzucone przez program archiwizujący) - dane surowe;

  • odstępy między pomiarami są równe (wymuszone przez program AsTrend) - dane równomierne czytane przez agregat wskazany przez użytkownika;

  • odstępy pomiędzy pomiarami przyjmowane są automatycznie przez program AsTrend w zależności od długości okresu, dla którego wyliczane są wartości uśrednione (dane uśrednione) lub wartości minimalne i maksymalne (dane przybliżone).

Istotne zmiany wprowadzone do typów danych:

  • typy danych definiowane są teraz na poziomie całego trendu a nie na poziomie serii danych;

  • dane równomierne, uśrednione i przybliżone wyliczane są przez serwer asix przy użyciu modułu Agregatora; dzięki temu AsTrend czyta gotowe dane zagregowane zamiast wyliczać je z wartości surowych;

  • wartości przybliżone są teraz rysowane w postaci wykresów HighLow; wykres jednej zmiennej składa się z dwu krzywych reprezentujących wartości minimalne i maksymalne - obszar pomiędzy nimi wypełniony jest kolorem serii.

Zmiana okresu wyświetlanych danych

Nowy interfejs AsTrend pozwala na płynne i precyzyjne ustawianie okresu wyświetlanych danych na kilka sposobów:

  • przy użyciu paska z przyciskami nawigacyjnymi;

  • poprzez nowe okno wyboru okresu, rozwijane z paska narzędzi;

  • przy użyciu okna predefiniowanych standardowych długości okresów (pula okresów została rozszerzona o nowe pozycje) - wybór preferowanego odcinka czasu przy użyciu tego okna powoduje wyświetlenie przebiegu zmiennych w zadanym okresie licząc od chwili bieżącej wstecz;

  • dodatkowo dodana została obsługa kółka myszy: ruch samego kółka powoduje przesuwanie okresu w tył/przód, ruch kółka przy wciśniętym klawiszu Ctrl powoduje zmianę szerokości okresu; ruch kółka przy wciśniętym klawiszu Shift powoduje szybkie przesuwanie okresu;

Ustawianie względnego okresu czasu danych wyświetlanych przy otwieraniu pliku trendu

Dzięki zastosowaniu formatu OPC opcje otwierania trendu pozwalają bardzo precyzyjnie określić czas, dla którego ma zostać wyświetlony przebieg wartości w momencie otwierania pliku trendu. Początek i koniec okresu czasu danych można wyrażać względnie wybierając konstrukcje typu: "Teraz”, "Początek dnia”, "Początek bieżącego miesiąca”, czy np. "Dziś godzina 6:00”.

W formułowaniu wyrażeń w formacie OPC użytkownik wyręczany jest przez 'Edytor czasu w formacie OPC’, który zawiera przyjazny interfejs z zestawem pól ułatwiających zdefiniowanie wymaganego okresu czasu.

Dostosowanie legendy do potrzeb użytkownika

Efektywność programu AsTrend w nowej wersji przejawia się również w funkcjonalności legendy trendu:

  • opcja zapamiętywania bieżących ustawień pozwala traktować daną legendę jako domyślną dla nowo tworzonych trendów;

  • mechanizm Drag&Drop umożliwia zmianę kolejności serii w legendzie;

  • do zestawu atrybutów wyświetlanych w polach legendy dodane zostały agregaty wyliczane dla wszystkich danych z aktualnie wyświetlonego okresu;

  • AsTrend wykorzystuje teraz informacje o typach atrybutów do automatycznego wyrównywania wartości w legendzie (informacja o typie atrybutu przechowywana jest w pliku trnx; tekst wyrównywany jest do lewej strony, liczba do prawej);

  • na liście standardowych kolumn legendy znalazła się kolumna Kolor serii, która wyświetla linię w kolorze serii danych; jeżeli kolumna jest wyświetlona w legendzie, to wszystkie teksty legendy wyświetlane są w kolorze czarnym; jeżeli kolumna Kolor serii jest ukryta, legenda wyświetla wiersze danych w kolorach odpowiadających kolorom serii na wykresie;

  • wszystkie atrybuty zmiennych zadeklarowanych w legendzie przechowywane są w pliku trendu, dlatego przy otwieraniu tego pliku nie jest wymagany dostęp do bazy definicji zmiennych, aby móc prawidłowo wyświetlić treść legendy;

  • format wyświetlania wartości w legendzie pobierany jest z bazy definicji zmiennych (w momencie zmiany zakresu wyświetlania wartości, format wyznaczany jest na podstawie zakresu, bądź może być ustawiony indywidualnie przez użytkownika);

Dodatkowe funkcje wykresów

  • Dodano wyświetlanie punktów brzegowych po prawej stronie wykresu.

  • Możliwe jest wyświetlanie na wykresie limitów ostrzegawczych i krytycznych dla poszczególnych serii. Funkcja jest dostępna, jeżeli w bazie definicji zmiennych limity określane zostały jako liczby.

  • Dodano również nową opcję serii: położenie osi pionowej dla wykresu wieloosiowego - stos. W zależności od ustawienia opcji Położenie osi w parametrach serii (oś może znajdować się po lewej lub prawej stronie wykresu) dwa sąsiednie wykresy przebiegów pojedynczych zmiennych mogą być połączone w jeden wykres dwóch przebiegów - taka możliwość ułatwia zagospodarowanie powierzchni wydruku (ekranu) i wpływa na zwiększoną czytelność wykresów oraz pozwala na szybkie zestawianie ze sobą dowolnych przebiegów.


1.3. Wymagania sprzetowe programu AsTrend

1.3. Wymagania sprzętowe programu AsTrend

Program AsTrend może działać na każdym komputerze, na którym zainstalowany jest system operacyjny Windows XP/2000 lub 2003. Jedynym ograniczeniem sprzętowym dla poprawnego działania AsTrend jest rozdzielczość ekranu - musi ona wynosić przynajmniej 800x600.


1.4. Startowanie i praca programu

Program AsTrend pracować może w dwóch trybach: z aplikacją asixa i samodzielnie.

W każdym z tych trybów serwerem danych może być ten sam komputer, na którym został uruchomiony AsTrend lub dowolny inny komputer pracujący w sieci.

Startowanie programu AsTrend z aplikacją asixa

Tryb pierwszy zakłada, że program AsTrend startowany jest przez system asix. W trybie tym projektant aplikacji projektuje zestaw dostępnych trendów (a także tworzy bazę definicji zmiennych), a rola użytkownika zasadniczo ogranicza się do przeglądania zdefiniowanych trendów oraz wykonywania na nich operacji. W tym trybie użytkownik może zdefiniować własne trendy w określonym przez projektanta katalogu.

Program uruchomiany jest w trakcie ładowania aplikacji systemu asix, dzięki specjalnemu parametrowi, który projektant aplikacji umieszcza w pliku konfiguracyjnym aplikacji.

Szczegóły na temat konfiguracji parametrów startowych aplikacji systemu asix można znaleźć w podręczniku dla modułu Architekt, rozdział 3.4.2. Deklaracja programów startowanych jednocześnie z aplikacją.

Sposobem otwierania pliku trendu programu AsTrend z poziomu pracującej aplikacji jest wykonanie akcji operatorskiej ASTREND. (patrz: Asix &endash; podręcznik użytkownika, rozdział 16.2. Opisy akcji operatorskich).

Startowanie programu AsTrend bez aplikacji asixa

W drugim trybie zakłada się, że AsTrend wykorzystywany jest samodzielnie i startowany w dowolnym momencie przez użytkownika.

uwaga Możliwe jest uruchomienie wielu instancji programu AsTrend.

W tym trybie użytkownik sam decyduje, jakie trendy chce oglądać i zazwyczaj sam je definiuje.

Jako samodzielny program, AsTrend jest uruchamiany przy pomocy komendy:

Astrend.exe [definicja_trendu] [-idefinicja_zestawu] [-inazwa_pliku_bazy_mdb] [-inazwa_serwera_bazy_MSSQL/nazwa_bazy_MSSQL] [-dkartoteka] [-b]

gdzie:

definicja_trendu - jest opcjonalną nazwą pliku (z rozszerzeniem *.TRN lub *.TRNX wraz ze ścieżką względem aktualnego katalogu), zawierającego definicję trendu, który ma być wyświetlony po starcie programu;

-idefinicja_zestawu - jest opcjonalną nazwą pliku zestawu definicji zmiennych (z rozszerzeniem *.ZEZ) , który ma zostać otwarty po wystartowaniu programu, wraz ze ścieżką względem roboczego katalogu;

-inazwa_pliku_bazy_mdb - jest opcjonalną nazwą pliku bazy definicji zmiennych w formacie Jet;

-inazwa_serwera_bazy_MSSQL/nazwa_bazy_MSSQL - jest opcjonalną nazwą pliku bazy definicji zmiennych w formacie MSSQL;

-dkartoteka - jest opcjonalną nazwą kartoteki, z której czytane będą pliki typu *.trn przy pomocy okna 'Czytaj trend’- o ile podany został konkretny plik *.trn przy wywołaniu trendu. W przeciwnym wypadku po uruchomieniu programu automatycznie otworzy się okno 'Czytaj trend’ ze wskazaną w tym parametrze kartoteką;

-b - opcjonalny parametr pozwalający na zablokowanie zapisu definicji trendów.

uwaga Po nazwie pliku .trnx, .trn można podać nazwy zmiennych, które zostaną dodane do wykresu zmiennych zadeklarowanych w definicji trendu (pliku .trnx, .trn). Nazwy zmiennych należy oddzielić znakiem '#’ lub '<’.

Praca polegająca na przeglądaniu wcześniej zdefiniowanych trendów nie wymaga otwierania bazy definicji zmiennych.


1.4.1. Tworzenie skrotu uruchamiajacego AsTrend

1.4.1. Tworzenie skrótu uruchamiającego AsTrend

W menu Plik dostępna jest komenda Utwórz skrót umożliwiająca tworzenie skrótów uruchamiających program AsTrend.

Rysunek: Kreator skrótów.


1.5. Praca programu z aplikacja systemu asix

1.5. Praca programu z aplikacją systemu asix

Podczas pracy z aplikacją systemu asix AsTrend posiada dwa tryby pracy:

  • tryb operator / administrator

  • tryb użytkowników, których uprawnienia definiowane są w programie AsAudit

Tryb pracy programu AsTrend uruchamianego z aplikacją systemu asix uzależniony jest od używanego mechanizmu zarządzania i kontroli uprawnień.

Tryb użytkowników, których uprawnienia definiowane są w programie AsAudit

W przypadku, kiedy do obsługi uprawnień użytkowników aplikacji systemu asix stosowany jest moduł AsAudit, uprawnienia w zakresie obsługi programu AsTrend definiowane są module AsAudit. Pełna lista funkcji zależnych od uprawnień zalogowanego użytkownika obejmuje:

  • administrowanie programem astrend,

  • tworzenie nowych plików,

  • modyfikację plików,

  • modyfikację plików tylko do odczytu,

  • posiadanie własnego układu menu i pasków narzędzi,

  • modyfikację wspólnego układu menu i pasków narzędzi,

  • administrowanie mechanizmem automatyki.

Tryb operator

W sytuacji, kiedy w systemie asix nie ma uaktywnionego modułu AsAudit, dostępne są uproszczone mechanizmy zarządzania uprawnieniami użytkowników i AsTrend posiada wówczas dwa tryby pracy: tryb operatora, tryb administratora.

Każdorazowe uruchomienie programu przez system asix ustawia tryb pracy jako operator.

Ponadto operator:

- nie może tworzyć i modyfikować plików .TRNX opatrzonych atrybutem ”r;r;Tylko do odczytu" (Patrz: Zapis definicji trendu);

- ma możliwość drukowania wykresów tylko na drukarce systemowej (Patrz: Drukowanie trendów);

Tryb administrator

Przejście w tryb administratora odbywa się za pomocą komendy [image] lub z menu Plik > Tryb administratora i wymaga wprowadzenia hasła. Przy pierwszym uruchomieniu programu AsTrend na danym komputerze zamiast hasła należy nacisnąć klawisz Enter. Będzie on aktualny do momentu, aż administrator nie wprowadzi nowego hasła. Zmiany hasła można dokonać z poziomu menu Plik > Zmiana hasła... tylko w trybie administratora (Patrz: Hasło logowania administratora i sposób logowania).

Praca administratora pozwala na dodatkowe operacje:

- nie ma ograniczeń co do poruszania się po kartotekach na dyskach komputera,

- istnieje możliwość zapisania pliku trendu z atrybutem "tylko do odczytu" - wówczas operator nie ma możliwości jego modyfikowania (3.16 . Zapis definicji trendu),

- działa funkcja blokowania i odblokowywania rozmiarów okna i stałego układu wykresu - przyciski [image], [image] lub menu Widok > Blokada rozmiarów okna i Stały układ wykresu,

- administrator ma możliwość modyfikowania układu menu/pasków narzędzi,

- administrator ma możliwość eksportowania wykresu razem z legendą do pliku .PDF lub .BMP.

uwaga Po 15 minutach od zalogowania się jako administrator nastąpi automatyczne wylogowanie do trybu operatora.

uwaga Zapisanie definicji trendu z odblokowaną zmianą rozmiarów okna w trybie administratora powoduje, że po otwarciu go jako wzorzec stan tej blokady jest taki sam. Operator ma prawo odczytywać wzorce definicji trendów, zmieniać je i zapisywać pod nowymi nazwami lub tworzyć zupełnie nowe definicje trendów.


1.6. Informacje o przechowywaniu opcji programu

Program AsTrend daje możliwość definiowania niezależnych układów menu/pasków narzędzi dla Administratora i Operatora. Definicje te przechowywane są w pliku programu AsTrend umieszczanym w katalogu aplikacji.

Jedynie Administrator ma możliwość definiowania układu menu / pasków narzędzi - dla siebie jak również dla Operatora.

W przypadku niezależnej pracy programu AsTrend niezależny układ menu / pasków narzędzi definiowany jest dla poszczególnych użytkowników systemu operacyjnego. Plik konfiguracyjny przechowywany jest wówczas w katalogu systemu Windows Documents and Settings.

Pozostałe ustawienia opcji związanych z wyświetlaniem trendów również są przechowywane w pliku w katalogu aplikacji lub w katalogu Documents and Settings.


2. Kreator trendow

2. Kreator trendów

Kreator trendów jest bardzo pożyteczną funkcją szczególnie dla osób, które chciałyby zdefiniować trend, a nigdy wcześniej tego nie robiły. Aby wywołać kreator, należy nacisnąć przycisk [image] na pasku narzędziowym lub wybrać pozycję Plik > Nowy - Kreator... Jeżeli jakaś czynność jest obligatoryjna, to jej wykonanie warunkuje możliwość przejścia do kolejnego kroku.


2.1. Krok 1 - wstep

2.1. Krok 1 - wstęp

Po wywołaniu kreatora trendów na ekranie pojawia się okno definiujące trend.

Rysunek: Kreator trendów - okno 1.

Należy przejść do kolejnego kroku.


2.2. Krok 2 - wybor bazy definicji zmiennych

2.2. Krok 2 - wybór bazy definicji zmiennych

Po przejściu do drugiego kroku Kreatora trendów na ekranie pojawi się okno przedstawione poniżej. Przy pomocy tego okna należy wybrać bazę definicji zmiennych.

Rysunek: Kreator trendów - wybór bazy definicji zmiennych.

Krok ten jest opcjonalny w przypadku, gdy plik bazy definicji zmiennych został już wcześniej wczytany w dowolny sposób.


2.3. Krok 3 - wybor okresu czasu

2.3. Krok 3 - wybór okresu czasu

Po przejściu do trzeciego kroku Kreatora trendów na ekranie pojawi się okno przedstawione poniżej. Przy pomocy tego okna należy określić okres czasu.

Rysunek: Kreator trendów - dodanie zmiennych.

Krok ten jest opcjonalny. Domyślnie proponowana jest ostatnia godzina.


2.4. Krok 4 – dodanie zmiennej

2.4. Krok 4 - dodanie zmiennej

Po przejściu do czwartego kroku Kreatora trendów na ekranie pojawi się okno przedstawione poniżej. Przy pomocy tego okna należy dodać zmienną do trendu.

Rysunek: Kreator trendów - wybór okresu czasu.

Krok ten jest obligatoryjny.


2.5. Krok 5 – okreslenie typu wykresu i typu osi

2.5. Krok 5 - określenie typu wykresu i typu osi

Po przejściu do piątego kroku Kreatora trendów na ekranie pojawi się okno przedstawione poniżej. Przy pomocy tego okna określany jest typ wykresu (domyślnie liniowy) oraz typ osi.

Rysunek: Kreator trendów - wybór typu wykresu i osi.


2.6. Krok 6 - ustawienie okresu probkowania

2.6. Krok 6 - ustawienie okresu próbkowania

Po przejściu do szóstego kroku Kreatora trendów na ekranie pojawi się okno przedstawione poniżej. Przy pomocy tego okna można dokonać zmiany okresu próbkowania.

Rysunek: Kreator trendów - określenie typu danych.

Krok ten jest opcjonalny. Domyślnie proponowany jest wariant, w którym krzywa jest oryginalna.


2.7. Krok 7 – załaczenie linii odczytu

2.7. Krok 7 - załączenie linii odczytu

Po przejściu do siódmego kroku Kreatora trendów na ekranie pojawi się okno przedstawione poniżej. Przy pomocy tego okna można załączyć i dokonać ustawienia linii odczytu.

Rysunek: Kreator trendów - załączenie i ustawienie linii odczytu.


2.8. Krok 8 – przykladowe operacje na trendach

2.8. Krok 8 - przykładowe operacje na trendach

Przy pomocy tego okna można wykonać w oknie trendów pewne typowe operacje: powiększenie, przesuwanie, czy wprowadzenie w tryb rejestracji bieżącej.

Rysunek: Kreator trendów - operacje na trendach.


2.9. Krok 9 – modyfikowanie legendy

2.9. Krok 9 - modyfikowanie legendy

Po przejściu do dziewiątego kroku Kreatora trendów na ekranie pojawi się okno przedstawione poniżej. Przy pomocy tego okna można zmodyfikować ilość pól wyświetlanych w legendzie oraz dokonać modyfikacji kolejności kolumn oraz szerokości kolumn.

Rysunek: Kreator trendów - modyfikacja legendy.


2.10. Krok 10 – okreslenie parametrow trendu

2.10. Krok 10 - określenie parametrów trendu

Po przejściu do dziesiątego kroku Kreatora trendów na ekranie pojawi się okno przedstawione poniżej. Przy pomocy tego okna powinno się określić dodatkowe parametry trendu (tytuł, nagłówek, stopkę) oraz określić czas, który będzie załadowany w momencie otwarcia trendu.

Rysunek: Kreator trendów - określenie tytułu i okresu ustawianego przy otwarciu trendu.


2.11. Krok 11 – zapisanie trendu

2.11. Krok 11 - zapisanie trendu

Po przejściu do jedenastego kroku Kreatora trendów na ekranie pojawi się okno przedstawione poniżej. Umożliwia ono zapisanie trendu pod określoną nazwą w określonym katalogu.

Rysunek: Kreator trendów - zapisywanie trendu.


2.12. Krok 12 – utworzenie nowego trendu / odczyt trendu

2.12. Krok 12 - utworzenie nowego trendu / odczyt trendu zdefiniowanego

Po przejściu do dwunastego kroku Kreatora trendów na ekranie pojawi się okno przedstawione poniżej. Umożliwia ono utworzenie pliku nowego trendu, bądź też otwarcie trendu dopiero co zdefiniowanego przy użyciu Kreatora.

Rysunek: Kreator trendów - kasowanie i odczyt trendu.


3. Okno Trendow

3. Okno Trendów

Po wystartowaniu programu AsTrend na ekranie komputera pojawia się okno przedstawione poniżej. Jest to podstawowe okno programu. W oknie tym można wyróżnić następujące obszary:

Menu - wywołanie funkcji dotyczących trendów,

Pasek narzędzi - te same funkcje wywoływane z przycisków,

Obszar wykresów - miejsce wyświetlania układu współrzędnych i wykresów,

Legenda - opis wyświetlanych zmiennych,

Pasek statusu - status wyświetlanych trendów.

Rysunek: Obszary okna programu AsTrend.

Obszar wykresów i legenda będą puste, jeżeli program zostanie uruchomiony bez argumentu. Po starcie większość funkcji jest nieaktywna. W początkowym etapie zaleca się korzystanie z kreatora trendów, który pozwala w prosty sposób przejść cały proces definiowania trendu.


3.1. Menu

Obszar menu umieszczony jest w górnej części okna trendów i pozwala na wykonywanie wszystkich operacji na trendach.


3.1.1. Menu Plik

Menu pozwala na wykonanie następujących operacji:

Nowy - otwarcie okna nowego trendu,

Nowy - kreator&ldots; - otwarcie okna kreatora tworzenia nowego trendu,

Przywróć oryginał - przywrócenie trendu (bez zapisywania bieżących zmian),

Otwórz - otwarcie pliku trendu (*.trn, *.trnx),

Otwórz ostatnie - umożliwia otwarcie trendu z listy ostatnio otwieranych trendów; polecenie dostępne tylko w pełnym trybie pracy AsTrend,

Otwórz bazę definicji zmiennych - otwarcie okna wyboru bazy definicji zmiennych,

Otwórz bazę definicji zmiennych - ostatnie - umożliwia otwarcie bazy definicji zmiennych z listy ostatnio otwieranych baz; polecenie dostępne tylko w pełnym trybie pracy AsTrend,

Zapisz - zapisanie trendu,

Zapisz jako - zapisanie trendu pod inną nazwą,

skrot Utwórz skrót - utworzenie skrótu uruchamiającego program AsTrend

Tabela danych&ldots; - wyświetlenie tabeli wartości,

eksportujdane Eksportuj dane - wyeksportowanie trendu (wartości punktów pomiarowych zmiennych wraz z czasem) do pliku tekstowego *.txt, *.csv

Eksportuj do PDF - zapisanie trendu (obszar wykresu i legenda) do pliku w formacie PDF,

Eksportuj do BMP - zapisanie trendu (obszar wykresu i legenda) do pliku w formacie BMP,

Podgląd wydruku - otwarcie okna z podglądem wydruku trendu,

Drukuj - wydrukowanie trendu,

Wyczyść kolejkę wydruków - wyczyszczenie kolejki wydruków,

Opcje programu - otwarcie okna opcji programu,

Tryb administratora - pozwala na zalogowanie użytkownika z uprawnieniami Administratora; opcja dostępna w przypadku startowania programu AsTrend razem z aplikacją asixa.

Zmiana hasła - umożliwia zmianę hasła dla Administratora

Ukryj okno główne - "zwinięcie” programu do w obszarze powiadamiania paska narzędzi,

Zakończ - zakończenie pracy programu;


3.1.2. Menu Trend

Menu pozwala na wykonanie następujących operacji:

Start rejestracji - uruchomienie trybu rejestracji,

Stop rejestracji - zatrzymanie trybu rejestracji,

Dane oryginalne / przybliżone / uśrednione - wybranie rodzaju danych,

Dane równomierne - ustawienie okresu próbkowania na wartość zdefiniowaną w Opcjach trendu (w nawiasach kwadratowych pokazany podgląd wartości),

Aktualizuj atrybuty - komenda powoduje aktualizowanie wartości zakresów, które pobierane są z bazy definicji zmiennych; w przypadku zmian tych wartości w bazie, są one aktualizowane przez program AsTrend poprzez komendę Aktualizuj,

Aktualizuj atrybuty i zapisz - znaczenie analogiczne jak dla komendy Aktualizuj; dodatkowo zmiany są zapisywane;

Opcje trendu - otwarcie okna opcji trendu,


3.1.3. Menu Okres

Menu pozwala na wykonanie następujących operacji:

Ustaw okres&ldots; - otwarcie okna wyboru daty początku i końca okresu,

Zwiększ okres / Zmniejsz okres - zwiększenie / zmniejszenie okresu następuje wg kolejnych predefiniowanych w programie AsTrend wielkości okresów,

Przesuń w tył / w przód o okres - przesunięcie o bieżący okres,

Przesuń w tył / w przód - przesunięcie o ¼ okresu,

Przesuń w przód do końca - ustawienie końca okresu na chwilę bieżącą,

Ustaw poprzedni / następny okres - przyciski pozwalają na poruszanie się po historii kolejno wyświetlanych przez użytkownika okresów (działanie identyczne jak przyciski Wstecz / Dalej w przeglądarce internetowej); zapamiętywanych jest 20 kolejno wyświetlonych okresów;

Kopiuj okres do schowka - skopiowanie okresu do schowka,

Schowek okresów... - wyświetlenie schowka okresów,

Blokuj zmianę okresu myszką - uniemożliwia dokonywanie zmian okresu.


3.1.4. Menu Wykres

Menu pozwala na wykonanie następujących operacji:

Oś OY - fizyczna - wyświetlenie osi fizycznej,

Oś OY - procentowa - wyświetlenie osi procentowej,

Wiele osi OY - wyświetlenie osobnych osi pionowych dla każdej zmiennej,

Wiele osi OY - stos - wyświetlenie osobnych osi pionowych dla każdej zmiennej; osie OY znajdują się jedna nad drugą,

Wykres XY - umożliwia wyświetlenie wykresów będących funkcją dwóch zmiennych asixa

Linia odczytu - wyświetlenie linii odczytu,

Dwie linie odczytu - wyświetlenie dwóch linii odczytu,

Ustaw linię odczytu&ldots; - otwarcie okna opcji obu linii odczytu,

Blokuj powiększanie w pionie - blokuje możliwość powiększania w pionie,

Powiększ w pionie - powiększenie wykresu,

Pomniejsz w pionie - pomniejszenie wykresu,

Przywróć oryginał po skalowaniu - przywrócenie oryginalnego rozmiaru wykresu,

3D - zmiana trybu wyświetlania wykresów z dwu- na trójwymiarowy,

Animacja - animacja powiększenia lub pomniejszenia wykresu,

Pokaż wykres również poza osiami - powoduje wyświetlenie trendów na całym dostępnym obszarze okna AsTrend (poza osiami Y); również etykiety i znaczniki punktów pomiarowych znajdujące się poza osiami OY są także wyświetlane;

Opcje osi OY... - otwarcie okna parametryzacji osi pionowej,

Opcje osi OX... - otwarcie okna parametryzacji osi poziomej,


3.1.5. Menu Seria

Menu pozwala na wykonanie następujących operacji:

dodaj Dodaj... - otwarcie okna wyboru zmiennej,

Dodaj zmienną wyliczaną... - otwarcie okna 'Dodaj zmienną wyliczaną’, które umożliwia dodanie do wykresu zmiennych, które są wyliczane z innych zmiennych za pomocą podanego wyrażenia,

Dodaj alarm... - otwarcie okna 'Dodaj alarm’, które umożliwia dodanie do wykresu alarmu,

Dodaj stałą... - otwarcie okna 'Dodaj stałą’, które umożliwia wstawienie do wykresu wartości stałej,

zmzezrzewn Dodaj zmienne ze źródła zewnętrznego - wartości zmiennych pobierane są z plików zewnętrznych,

Wymień zmienną... - zmiana nazwy wybranej zmiennej asixa,

Usuń - usunięcie aktualnie wybranej zmiennej,

Przesuń w górę - powoduje w legendzie wykresu przesunięcie wiersza wskazanej serii zmiennej o jeden w górę,

Przesuń w dół - powoduje w legendzie wykresu przesunięcie wiersza wskazanej serii zmiennej o jeden w dół,

Ukryj - ukrycie/pokazanie krzywej dla wybranej krzywej,

Wykres Liniowy/Słupkowy - wybranie rodzaju wykresu,

Punkty - wyświetlanie punktów pomiarowych dla wybranych krzywych,

Etykiety - wyświetlanie etykiet dla wybranych krzywych,

Interpolacja schodkowa - interpolacja schodkowa wybranych krzywych,

Metryka zmiennej... - wyświetlenie okna metryki zmiennej,

Serwer danych... - wywołuje okno 'Serwer danych’, wyświetlające podstawowe informacje na temat wybranej zmiennej, nazwy archiwum i nazwy sieciowej serwera , z którego pobierane są dane serii zmiennej,

Zakres... - ustawienie zakresu dla wybranej zmiennej,

Opcje...- otwarcie okna opcji serii.


3.1.6. Menu Widok

Menu pozwala na wykonanie następujących operacji:

Blokada rozmiarów okna - zablokowanie możliwości zmiany rozmiaru okna trendów;

Stały układ wykresu - zablokowanie możliwości zmiany układu okna trendów;

Paski narzędzi - pokazanie/ukrycie pasków narzędzi,

Osie i siatka - wyświetlenie skali i siatki w obszarze wykresu,

legenda Legenda - pokazanie/ukrycie legendy,

Style - wybranie stylu dla okna programu,

Przywróć ostatni układ pasków narzędzi - wczytanie układu pasków narzędzi sprzed uruchomienia programu,

Resetuj układ przycisków - przywrócenie domyślnego układu przycisków,

Resetuj układ przycisków i pasków narzędzi - przywrócenie domyślnego układu przycisków i pasków narzędzi,

Wczytaj układ przycisków i pasków narzędzi Operatora - wczytanie układu menu, jaki będzie widoczny przez operatora.


3.1.7. Menu Pomoc

Menu pozwala na wykonanie następujących operacji:

Temat pomocy - otwarcie pliku pomocy,

O programie... - wyświetlenie informacji o programie.


3.2. Modyfikacja menu i paskow narzedzi

3.2. Modyfikacja menu i pasków narzędzi

W programie możliwa jest pełna konfiguracja pasków narzędzi. Ich układ, pozycja i zawartość zapamiętywane są osobno dla Operatora i Administratora. Wszelkie zmiany w obydwu zestawach mogą być dokonywane tylko przez Administratora.

W przypadku menu jego pozycja jest stała ale zawartość również może być modyfikowana.

Przy pierwszym uruchomieniu programu załadowany zostanie domyślny układ pasków narzędzi i zawartości menu:

Rysunek: Menu i paski narzędzi.


3.2.1. Modyfikacja ukladu paskow narzedzi

3.2.1. Modyfikacja układu pasków narzędzi

Aby zmienić układ pasków narzędzi, należy wybrany pasek "uchwycić” za jego lewą krawędź, i przeciągnąć w wybrane miejsce.

Po kliknięciu prawym przyciskiem na obszarze pasków narzędzi można z listy wybrać, które paski mają być widoczne:

Rysunek: Lista wyboru pasków.


3.2.2. Modyfikacja zawartosci menu i paskow narzedzi

3.2.2. Modyfikacja zawartości menu i pasków narzędzi

Polecenia widoczne na paskach odpowiadają poszczególnym menu. Aby dodać lub usunąć przycisk z paska narzędzi, należy wybrać strzałkę z jego prawej strony a następnie opcję Dodaj lub usuń przyciski. Pojawi się wtedy lista, na której można sterować widocznością poszczególnych przycisków:

Rysunek: Opcja 'Dodaj lub usuń przyciski'.

Po wybraniu opcji Dostosuj możliwe jest dowolne konfigurowanie każdego paska narzędzi. Należy na zakładce Polecenia odnaleźć szukane polecenie, i "przeciągnąć” je na wybrany pasek:

Rysunek: Konfigurowanie paska narzędzi.

Przy załączonym oknie 'Dostosuj’ możliwe jest wywołanie prawym przyciskiem myszy lokalnego menu edycji poszczególnych pozycji menu i edycji poszczególnych przycisków pasków narzędzi. Edycja obejmuje m.in.: załączenie opcji wyświetlania opisu przycisku zamiast ikonki oraz edycję opisu przycisku.

Rysunek: Edycja przycisku paska narzędzi.


3.2.3. Zarzadzanie ukladem przyciskow i paskow narzedzi

3.2.3. Zarządzanie układem przycisków i pasków narzędzi

Układ menu zapisywany jest przy zamykaniu programu w katalogu danych aplikacji programu AsTrend. Osobno pamiętany jest układ menu dla operatora i administratora. Definicje te przechowywane są w wewnętrznym pliku programu AsTrend umieszczanym w katalogu aplikacji.

Aby zmienić układ menu dla operatora należy wybrać opcję Widok > Wczytaj układ menu operatora. Od tej pory wszystkie zmiany w układzie menu będą zapisane w schemacie operatora. Odznaczenie opcji spowoduje zapisanie bieżącego układu i powrót do widoku administratora.

Oprócz tego menu Widok zawiera szereg poleceń do zarządzania układem pasków narzędzi:

Przywróć ostatni układ pasków narzędzi - wczytanie układu pasków narzędzi sprzed uruchomienia programu,

Resetuj układ przycisków - przywrócenie domyślnego układu przycisków,

Resetuj układ przycisków i pasków narzędzi - przywrócenie domyślnego układu przycisków i pasków narzędzi;


3.3. Obszar wykresow

3.3. Obszar wykresów

Obszar wykresu mieści się poniżej paska narzędzi.

Rysunek: Obszar wykresu.

Bezpośrednio w polu wykresów można wykonywać pewne operacje - jak np.:

  • odczyt wartości i czasu - na pasku statusu wyświetlane są wartość i czas dla punktu krzywej, na który został kliknięty;

  • przesuwanie w obszarze wykresów linii odczytu, za pomocą myszki (przycisk [image] wyświetla jedną linię odczytu; przycisk [image] pozwala wyświetlić dwie linie odczytu);

  • powiększanie zaznaczonego obszaru przez rozciąganie go lewym klawiszem myszki;

  • selekcję wszystkich zmiennych - przez podwójne kliknięcie lewym klawiszem myszy na obszarze wykresu;

  • selekcję jednej zmiennej przez pojedyncze kliknięcie na linii jej wykresu;

  • zmiana parametrów wyświetlania osi przez kliknięcie na odpowiedniej z nich;

  • wyświetlanie w trybie skalowania 0-100% dodatkowej osi z prawej strony obszaru, tzw. osi fizycznej, dla aktywnej krzywej. Zmiana aktywnej krzywej następuje przez kliknięcie lewym klawiszem myszki na krzywą;

  • wywoływanie funkcji umieszczonych w kontekstowym menu (przez kliknięcie prawym klawiszem myszki).

Rysunek: Menu kontekstowe w obszarze wykresów.

Zawiera ono operacje na zmiennych oraz możliwość zapamiętywania aktualnego okresu w schowku, kopiowanie obszaru wykresu do schowka jako bitmapy, zmianę tła wykresów i obszaru opisu osi.

Funkcja Pokaż wykres również poza osiami powoduje, że krzywe i etykiety nie są obcinane do rozmiarów wykresu. Przydatne to jest w przypadku, gdy linia wykresu pokrywa się z osią poziomą lub znajduje się na górnej linii ograniczającej wykres.


3.4. Legenda

Obszar legendy umieszczony jest poniżej obszaru wykresów. Wyświetlanie legendy może zostać wyłączone przy pomocy funkcji usuwania legendy (przycisk legenda lub menu) - o ile nie jest załączona blokada rozmiarów i układu. Użytkownik może dokonać wyboru pól wyświetlanych w legendzie przy pomocy pola listy aktywowanego przyciskiem [image] w lewym górnym rogu legendy, bądź też przy użyciu metody Drag&Drop (usuwanie pól).

W przypadku, gdy nie ma zadeklarowanej żadnej serii, legenda wyświetlana jest jako nagłówek z miejscem na jeden wiersz danych, gdzie pojawia się napis: ’r;brak danych do wyświetlenia’.

Użytkownik ma możliwość zmiany wysokości legendy za pomocą Paska podziału [image], dostępnego w menu Widok. Wysokość legendy jest zaokrąglana do pełnych wierszy.

Dodatkowo, wprowadzone zostało zabezpieczenie uniemożliwiające przekroczenie przez obszar legendy powierzchni ¾ okna głównego AsTrend. W sytuacji, gdy obszar legendy jest większy od ¾ okna głównego trendów - pojawia się pasek przewijania.

Legenda może zawierać następujące pola:

  • Nazwa - nazwa zmiennej;

  • Zakres wyświetlania - zakres zmienności przypisany danej zmiennej automatycznie na podstawie bazy definicji zmiennych lub przez operatora

  • Kolor serii - załączenie tego pola w legendzie powoduje, że definicje zmiennych serii danych będą wyświetlane w kolorze czarnym; jedynie pole Kolor serii będzie wyświetlało kolor danej serii na wykresie

  • Próbkowanie - informacja dotycząca okresu i sposobu próbkowania

  • Dokładność - wartość dokładności rejestracji

  • Czas linii odczytu 1- data i czas wskazana przez linię odczytu pomiaru

  • Wartość wskazana linii odczytu 1- ostatni ważny pomiar poprzedzający linię odczytu

  • Wartość liczona linii odczytu 1 - interpolowana wartość dla czasu wskazywanego przez linię odczytu w sytuacji kiedy linia przechodzi między dwoma pomiarami

  • Czas linii odczytu 2 - data i czas wskazana przez drugą linię odczytu pomiaru

  • Wartość wskazana linii odczytu 2- ostatni ważny pomiar poprzedzający drugą linię odczytu

  • Wartość liczona linii odczytu 2- interpolowana wartość dla czasu wskazywanego przez drugą linię odczytu w sytuacji kiedy linia przechodzi między dwoma pomiarami

  • Odległość linii odczytu - odległość pomiędzy liniami odczytu - jeżeli widoczna jest druga linia odczytu (menu Wykres > Ustaw linię odczytu)

W momencie załadowania bazy definicji zmiennych dodatkowo mogą być wyświetlane pola atrybutów zmiennych zdefiniowanych w bazie, m.in.:

  • Opis zmiennej

  • Jednostka

  • Adres

Nazwy zmiennych wyświetlane w poszczególnych wierszach legendy mają kolory odpowiadające kolorom na wykresie - chyba, że w legendzie zostanie wyświetlone pole Kolor serii. Wówczas opisy zmiennych przyjmują kolor czarny, a o kolorze serii na wykresie informuje pole Kolor serii.

UWAGA: Istnieje możliwość prawidłowego wyświetlania legendy również w sytuacji, kiedy nie ma dostępu do bazy definicji zmiennych. Przy dodawaniu nowej zmiennej do trendu czytane są z bazy definicji zmiennych wszystkie atrybuty zmiennej i są przechowywane w pamięci oraz pliku trnx.


3.4.1. Wyswietlanie agregatow

3.4.1. Wyświetlanie agregatów

W wersji AsTrend 5.1 wprowadzona została możliwość modyfikowania legendy w zakresie wyświetlania agregatów. Do wyboru użytkownik ma możliwość wyświetlenia następujących agregatów, wyliczanych na podstawie danych z aktualnie wyświetlonego okresu:

  • Wartość minimalna

  • Wartość maksymalna

  • Rozpiętość wartości

  • Wartość początkowa

  • Wartość końcowa

  • Przyrost wartości

  • Całka

  • Wartość średnia

  • Wartość średnia0

  • Gradient (agregat Rozpiętość wartości podzielony przez długość okresu wyrażoną w sekundach)

Wartości agregatów wyliczane są lokalnie przez program AsTrend dla wartości wyświetlonych na ekranie w ramach zadanego okresu czasu (niezależnie od typu danych prezentowanych na wykresie: dane oryginalne, równomierne, przybliżone i uśrednione).

Mechanizmu drugiej linii odczytu daje możliwość swobodnego wydzielenia na wykresie dowolnego odcinka czasu, dla którego wyliczone zostaną agregaty, wyświetlane w polach legendy (jeśli linie odczytu są wyłączone, wspomniane pola w legendzie wskazują agregaty wyliczane dla całego wyświetlonego okresu).


3.4.2. Operacje dostepne w polu legendy

3.4.2. Operacje dostępne w polu legendy

Bezpośrednio w polu legendy można wykonywać następujące operacje:

  • wybór zmiennej przez podwójne kliknięcie w polu Nazwa; uruchomione okno 'Nazwa zmiennej’ pozwala przejść do okna wyboru zmiennej &endash; przycisk [image] przy nazwie zmiennej:

Rysunek: Nazwa zmiennej.

  • wyświetlenie pełnej wartości pola - realizowane przez najechanie myszką w obszarze pola; napis pozostanie wyświetlony tak długo, jak długo będzie przytrzymywany kursor w polu:

Rysunek: Wyświetlenie pełnej wartości pola.

  • otwarcie okna zmiany zakresu zmiennej przez podwójne kliknięcie w polu zakres:

Rysunek: Opcje serii - zakres.

  • wywoływanie funkcji umieszczonych w kontekstowym menu (przez kliknięcie prawym klawiszem w obszarze legendy):

Rysunek: Menu kontekstowe w obszarze legendy.

Komenda Dodaj&ldots; otwiera 'Okno wyboru zmiennych’, umożliwiające zadeklarowanie wykresu wymaganej zmiennej. Komenda Usuń pozwala usunąć wykres zmiennej.

Komenda Ukryj pozwala ukryć na wykresie i w legendzie wskazaną zmienną.

Komendy Przesuń w górę i Przesuń w dół powodują przesunięcie wiersza wskazanej serii zmiennej odpowiednio o jeden w górę lub o jeden w dół.

Funkcje Aktualizuj i Aktualizuj i Zapisz wywoływane z tego menu dotyczą aktualizacji definicji trendu dla wszystkich zmiennych zawartych w tej definicji. Zmienne, których parametry w bazie zostały zmienione, będą na nowo zdefiniowane w trendzie. Druga z tych funkcji powoduje dodatkowo zapisanie nowej definicji trendu na dysku.

Komendy Nazwa i Zakres pozwalają wywołać okna zmiany - odpowiednio zmiennej lub zakresu zmiennej.

Komenda Opcje umożliwia zdefiniowanie wg własnych preferencji opcji serii danych (patrz: 3.9 . Opcje serii ).

  • Zmiana kolejności serii przy użyciu mechanizmu Drag&Drop


3.5. Pasek statusu

Pasek statusu umieszczony jest poniżej obszaru legendy. Jest on zawsze widoczny. Przykładowy pasek statusu umieszczony został poniżej.

W poszczególnych polach statusu pojawić się może:

  • nazwa zmiennej wyselekcjonowanej w polu Nazwa (wyświetla się w kolorze danej zmiennej o ile została dokonana selekcja zmiennej);

  • wartość zmiennej wskazanej w polu Wartość (jeśli został wskazany do odczytu punkt krzywej) lub znak | (jeśli aktywna jest linia odczytu);

  • data i czas odpowiadający zmiennej wskazanej lub odpowiadający linii odczytu (o ile jest aktywna) w polu Czas;

  • liczba punktów pomiarowych wyświetlanych aktualnie w obszarze wykresu w polu Punkty;

  • kontekstowa podpowiedź odnosząca się do obszaru wskazywanego kursorem myszy w polu skrajnym z prawej strony (w szczególności w polu tym może pojawić się pełny tekst nazwy lub opisu zmiennej po ich wskazaniu).


4.1. System pomocy

System pomocy dostępny jest po każdorazowym wybieraniu menu Pomoc.Tematy Pomocy.


4.2. Wybor bazy definicji zmiennych

4.2. Wybór bazy definicji zmiennych

Aby wybrać bazę definicji zmiennych należy nacisnąć przycisk [image] na pasku zadań albo wywołać z menu funkcję Plik > Otwórz bazę definicji zmiennych... Pojawi się wówczas prezentowane okno, umożliwiające otwarcie pliku z zestawem zmiennych.

Rysunek: Wybór bazy definicji zmiennych.

Zależnie od typu używanej bazy definicji zmiennych należy wskazać miejsce przechowywania odpowiedniego pliku lub dla bazy Microsoft SQL Server wybrać nazwę serwera i wpisać nazwę bazy. Po otwarciu bazy definicji zmiennych uaktywniony zostaje przycisk [image] w pasku narzędzi oraz pozycja menu Serie.Dodaj zmienną... W trakcie definiowania trendu operacje wyboru bazy definicji zmiennych można wykonywać wielokrotnie. Innymi słowy w jednej definicji trendu mogą się pojawić zmienne pochodzące z wielu różnych baz.

Okno to jest otwierane domyślnie (w sytuacji, kiedy nie był wcześniej wybrany zestaw zmiennych), jeśli użytkownik naciśnie przycisk [image] na pasku narzędzi lub też wybierze z menu pozycję Plik.Nowy.

Baza definicji zmiennych może być automatycznie otwierana przy starcie programu jeśli:

- użyjemy opcji:

-idefinicja_bazy_definicji_zmiennych (w sytuacji, gdy AsTrend uruchamiany jest niezależnie od programu asix - patrz: Startowanie i praca programu);

- użyjemy bazy definicji zmiennych w aplikacji (w przypadku uruchamiania programu AsTrend z poziomu pracującej aplikacji systemu asix - patrz: 1.4 . Startowanie i praca programu).


4.3. Typy serii danych / dodanie serii do wykresu

uwaga Maksymalna ilość serii dodanych do wykresu wynosi 32 serie.


4.3.1. Typy serii danych

Serie danych prezentowanych na wykresie trendu mogą dotyczyć:

- rzeczywistej zmiennej procesowej z asixowej bazy definicji zmiennych,

- zmiennej wirtualnej wyliczanej z innych rzeczywistych zmiennych za pomocą podanego wyrażenia,

- alarmu,

- stałej,

- zmiennej pobranej z zewnętrznego źródła danych.

Każdy alarm traktowany jest na wykresie jako zmienna binarna. Posiada on osobną pozycję w legendzie i osobną oś OY ponad wykresem analogów. Różnica polega na sposobie wyświetlania alarmów: wyświetlane są znaczniki informujące o momentach zmiany stanu alarmu i kierunkach zmiany stanu (moment załączenia alarmu i moment wyłączenia alarmu).

Przykład wykresu alarmów:

Rysunek: Wykres alarmu.


4.3.2. Dodanie zmiennej z bazy definicji zmiennych asixa

Dodanie zmiennej do wykresu następuje w wyniku wyboru nazwy nowej zmiennej z okna wyboru zmiennych wywoływanego poprzez:

  • naciśnięcie przycisku [image] na pasku narzędzi;

  • wybrania w menu Serie komendy Dodaj&ldots;;

  • wybrania w menu kontekstowym (prawy klawisz myszki) obszaru wykresów pozycji Dodaj&ldots;

Wymienione możliwości są dostępne pod warunkiem, że wcześniej otwarta została baza definicji zmiennych systemu asix.

Wbrew pozorom wielokrotne umieszczenie danej zmiennej w jednym trendzie może mieć sens, jeśli np. chcemy zobaczyć przebieg zmiennej i jej średniej.

Dla baz danych systemu asix5 - baz w formacie MS SQL lub Jet naciśnięcie przycisku [image] spowoduje uruchomienie poniższego 'Okna wyboru zmiennych’:

Rysunek: Okno wyboru zmiennych.

W oknie wyboru zmiennych należy dokonać wyboru zmiennych, których wykresy mają pojawić się w oknie trendu. Najpierw rozwijając umieszczone w polu z lewej strony okna drzewo grup zmiennych należy wybrać grupę zmiennych.

Następnie w polu zmiennych umieszczonym z prawej strony okna dokonujemy wyboru zmiennej. Można wybrać jedną lub kilka zmiennych. Wyboru jednej zmiennej dokonać można zaznaczając zmienną przy pomocy myszki, a następnie naciskając przycisk OK. Identyczny efekt daje dwukrotne kliknięcie myszką w polu danej zmiennej. Aby wybrać grupę zmiennych, należy przy wciśniętym klawiszu Ctrl zaznaczyć wybrane zmienne i zatwierdzić wybór przyciskiem OK.

W przypadku wyboru zmiennych z dużej grupy bardzo przydatne są funkcje wyszukiwania zmiennej oraz filtracji grup zmiennych, których atrybuty spełniają pewne kryteria.

Listę pól opisu zmiennych widocznych w polu zmiennych można swobodnie modyfikować. W tym celu należy kliknąć na przycisk [image] znajdujący się na lewo od nagłówków kolumn atrybutów. Na liście widocznych kolumn należy zaznaczyć lub odznaczyć wybrane kolumny i kliknąć gdzieś poza tą listą.


4.3.2.1. Lokalizacja zmiennych

Aby zlokalizować zmienną w oknie wyboru zmiennych, należy:

  • wskazać myszką poddrzewo drzewa grup zmiennych;

  • kliknąć nagłówek wybranej kolumny, aby posortować wiersze według zawartości tej kolumny;

  • kliknąć dowolne pole znajdujące się w wybranej kolumnie;

  • rozpocząć pisanie szukanej wartości. Po każdym wpisanym znaku lista zmiennych zostanie przewinięta do odpowiedniego rekordu.


4.3.2.2. Filtracja zmiennych

Przy pomocy przycisku Filtrowanie i grupowanie można włączyć opcje filtrowania i grupowania - dzięki temu możliwe będzie wykonanie poniższych czynności.

Aby pogrupować zmienne według wartości danego atrybutu należy przeciągnąć nagłówek kolumny tego atrybutu na pasek znajdujący się ponad nagłówkami atrybutów.

Rysunek: Filtrowanie wg kolumny.

Aby użyć prostego filtra wartości w danej kolumnie należy nacisnąć przycisk [image] znajdujący się na nagłówku kolumny i wybrać wartość filtra z listy.

Rysunek: Filtrowanie wg wartości danej kolumny.

Aby użyć bardziej skomplikowanego filtra należy kliknąć na przycisk [image] znajdujący się w lewej dolnej części tabeli zmiennych. Pojawi się narzędzie umożliwiające zdefiniowanie zaawansowanego filtru.

Rysunek: Kreator filtrów.


4.3.2.3. Dodawanie zmiennych na podstawie pliku *.ZEZ

Dla bazy definicji zmiennych utworzonej w starej wersji pakietu asix - baza w formacie Paradox identyfikowana plikiem .ZEZ - zamiast okna wyboru zmiennych uruchomione zostanie okno listy zmiennych o następującym wyglądzie:

Rysunek: Okno listy zmiennych.

W oknie listy zmiennych należy dokonać wyboru zmiennych, których wykresy mają pojawić się w oknie trendu. Najpierw rozwijając umieszczone w polu z lewej strony okna drzewo zmiennych należy wybrać grupę zmiennych, z których chcemy dokonać wyboru.

Następnie wybieramy zmienną. Wyboru dokonuje się w polu zmiennych umieszczonym z prawej strony. Można wybrać jedną lub kilka zmiennych. Wyboru jednej zmiennej dokonać można zaznaczając ją przy pomocy myszki (dokonując selekcji) a następnie naciskając przycisk OK. Tego samego dokonać można dwukrotnie klikając myszką w polu danej zmiennej. Aby wybrać grupę zmiennych, należy ją wyselekcjonować przy pomocy myszki (możliwe, jeśli jednocześnie naciska się klawisz Ctrl), a następnie nacisnąć klawisz OK.


4.3.3. Dodanie zmiennej wyliczanej

Zmienne wyliczane z innych zmiennych za pomocą podanego wyrażenia dodawane są przy użyciu okna 'Dodaj zmienną wyliczaną’, wywoływanego komendą [image] Dodaj zmienną wyliczaną z menu Seria.

Wbrew pozorom wielokrotne umieszczenie danej zmiennej w jednym trendzie może mieć sens, jeśli np. chcemy zobaczyć przebieg zmiennej i jej średniej.

Okno obejmuje zakładki, dzięki którym użytkownik ma możliwość zadeklarowania atrybutów zmiennej wyliczanej oraz skonstruowania wyrażenia, wg którego zmienna zostanie wyliczona.

Zakładka Atrybuty pozwala określić:

Rysunek: Okno 'Dodaj zmienną wyliczaną' - zakładka 'Atrybuty'.

- Nazwę, Opis, Jednostkę i Interwał próbkowania zmiennej,

- parametr Traktuj wynik jako zmienną boolowską.

Zakładka Wyliczane wyrażenie zawiera pola:

Rysunek: Okno 'Dodaj zmienną wyliczaną' - zakładka 'Wyliczane wyrażenie'.

- Wyrażenie - pole, w którym należy wpisać wyrażenie do wyliczenia zmiennej wirtualnej; dla ułatwienia konstruowania wyrażeń poniżej pola Wyrażenie znajduje się przycisk Wstaw... uruchamiający okno z biblioteką funkcji, operatorów i stałych,

- Testowanie wyrażenia - po zadeklarowaniu wyrażenia istnieje możliwość sprawdzenia poprawności jego składni poprzez przyciśnięcie przycisku Sprawdź; jeśli wyrażenie zostało prawidłowo sformułowane, pojawi się okienko z komunikatem "Poprawne”:

- Zmienne - obejmuje listę symboli, z którymi należy powiązać nazwy zmiennych, na podstawie których ma być wyliczona zmienna wirtualna; przycisk 3kropki uruchamia 'Okno wyboru zmiennej’; przycisk i wyświetla metrykę wybranej zmiennej.

Zakładka Zakresy obejmuje pola służące do określenia zakresu pomiarowego i zakresu wyświetlania zmiennej wyliczanej:

Rysunek: Okno 'Dodaj zmienną wyliczaną' - zakładka 'Zakresy'.

Zakładka Dane obejmuje pola służące do zdefiniowania okresu czasu, z którego wyświetlane są dane.

Rysunek: Okno 'Dodaj zmienną wyliczaną' - zakładka 'Dane'.


4.3.4. Dodanie alarmu

Alarmy dodawane są przy użyciu okna 'Dodaj alarm’, wywoływanego komendą [image] Dodaj alarm z menu Seria.

Rysunek: Okno 'Dodaj alarm'.

Okno wymaga podania numeru alarmu oraz nazwy sieciowej zestawu alarmów. Opis alarmu pobierany jest z bazy definicji alarmów przy pomocy przycisku Pobierz opis z bazy.


4.3.5. Dodanie stalej

4.3.5. Dodanie stałej

Istnieje możliwość wstawiania do wykresu wartości stałej rysowanej jako pozioma linia. Służy do tego polecenie Dodaj stałą z menu Seria, wywołujące okno "Dodaj stałą”.

Podstawowe atrybuty stałej należy określić przy użyciu zakładki Atrybuty:

Rysunek: Okno 'Dodaj stałą' - zakładka 'Atrybuty.

- Nazwa - nazwa wartości stałej;

- Opis - opis stałej,

- Jednostka - jednostka wartości stałej.

Zakładka Wartość pozwalająca zadeklarować wartość stałej zawiera:

Rysunek: Okno 'Dodaj stałą' - zakładka 'Wartość'.

- pole Wyrażenie - do którego należy wpisać wartość lub wyrażenie służące do wyliczenia wartości stałej; dla ułatwienia poniżej pola Wyrażenie znajduje się przycisk Wstaw... uruchamiający okno z biblioteką funkcji, operatorów i stałych,

- Testowanie wyrażenia - po zadeklarowaniu wyrażenia istnieje możliwość sprawdzenia poprawności jego składni poprzez przyciśnięcie przycisku Sprawdź; jeśli wyrażenie zostało prawidłowo sformułowane, pojawi się okienko z komunikatem "Poprawne”:

Zakładka Zakres obejmuje pola służące do określenia zakresu pomiarowego i zakresu wyświetlania zmiennej wyliczanej:

Rysunek: Okno 'Dodaj stałą' - zakładka 'Zakresy'.

W przypadku braku zadeklarowanego zakresu zakres ustawiany jest na +/- 10% wokół wartości stałej serii.


4.3.6. Dodanie zmiennej ze zrodla zewnetrznego

4.3.6. Dodanie zmiennej ze źródła zewnętrznego

W programie AsTrend istnieje możliwość wyświetlania wykresów wartości zmiennych pobranych z plików csv, xls oraz źródeł dostępnych poprzez OLE DB - takich jak bazy typu MSSQL i Access, pod warunkiem że struktura bazy pozwoli na odczyt danych w sposób uporządkowany czasowo.

Wbrew pozorom wielokrotne umieszczenie danej zmiennej w jednym trendzie może mieć sens, jeśli np. chcemy zobaczyć przebieg zmiennej i jej średniej.

Do dodawania zmiennych z źródeł zewnętrznych służy polecenie Dodaj ze źródła zewnętrznego z menu Serie, wywołującego okno 'Dodawanie zmiennych z zewnętrznego źródła danych’:

Rysunek: Okno 'Dodawanie zmiennych z zewnętrznego źródła danych’.

- Nazwa,

- Format - format zewnętrznego źródła danych:

- Plik tekstowy,

- plik programu Microsoft Excel,

- OLE DB.


4.4. Deklaracja parametrow sieciowych

4.4. Deklaracja parametrów sieciowych

Zakładka Sieć daje możliwość zadeklarowania:

- Nazwy serwerów danych, z których pobierane będą dane do wyświetlania wykresów trendów,

- oraz Maksymalnego czasu oczekiwania na zgłoszenie się serwera i Maksymalnego czasu odpowiedzi serwera danych (wartość w milisekundach).

Rysunek: Opcje programu - zakładka 'Sieć'.


4.5.1. Ustawienie okresu czasu za pomoca przyciskow przesuwania

4.5.1. Ustawienie okresu czasu za pomocą przycisków przesuwania trendu

Wykonanie funkcji przesuwania trendu (przyciski [image] [image] Przesuń w tył / w przód o okres - przesunięcie o bieżący okres, [image] [image] Przesuń w tył / w przód - przesunięcie o ¼ okresu ) oraz włączanie trybu rejestracji (przycisk [image] ) powoduje automatyczną zmianę okresu trendu.


4.5.2. Ustawianie okresu czasu przy pomocy edytora okresu

W programie AsTrend wersji 5.1 okres czasu ustawiany jest przy użyciu edytora uruchamianego z paska narzędzi lub komendą Ustaw okres z menu Okres.

Rysunek: Okno ustawiania okresu.

Ustawienie okresu czasu sprowadza się do określenia długości okresu oraz daty bazowej.

W zakresie długości okresu użytkownik ma możliwość:

- wybrania predefiniowanych okresów czasu biegnących do chwili obecnej,

- wybrania predefiniowanych czasów, które będą odnoszone do daty bazowej,

- określenia własnej długości okresu.

Ustalenie daty bazowej wymaga określenia wartości daty i czasu oraz określenia ”położenia” tej daty względem okresu (początek, środek i koniec okresu).

Predefiniowane długości okresów:

- 1 minuta,

- 2 minuty

- 5 minut,

- 10 minut,

- 15 minut,

- 30 minut,

- 1 godzina,

- 2 godziny,

- 4 godziny,

- 8 godzin,

- 12 godzin,

- 1 dzień,

- 2 dni,

- 4 dni,

- 7 dni,

- 14 dni,

- 1 miesiąc,

- 2 miesiące,

- 3 miesiące,

- 6 miesięcy,

- 1 rok.


4.5.3. Ustawienie okresu czasu za pomoca schowka okresow

4.5.3. Ustawienie okresu czasu za pomocą schowka okresów

Ze schowka okresów można odczytać i zastosować zapamiętany w nim odcinek czasu dla aktualnie wyświetlanego trendu. Opis działania schowka okresów znajduje się w punkcie 4.21 . Schowek okresów.


4.5.4. Ustawienie okresu czasu w wyniku wywolania definicji

4.5.4. Ustawienie okresu czasu w wyniku wywołania definicji trendu

Każdorazowe wczytanie trendu powoduje ustawienie okresu czasu na taki, jaki został zapamiętany zgodnie z ustawieniami w opcjach trendu:

(AsTrend > menu Trend > Opcje trendu&ldots; > okno 'Opcje trendu’ > zakładka Otwieranie)

Rysunek: Opcje trendu - zakładka 'Otwieranie'.

Możliwe do ustawienia opcje dotyczące okresu automatycznie ładowanego po otwarciu pliku trendu obejmują:

- Taki jak przy zapisie;

- Koniec okresu równy bieżącej chwili;

- Dzień bieżący, godzina bez zmian;

- Ostatnio używany;

- Wyrażony w formacie OPC (format OPC - patrz: podręcznik modułu AsixConnect, punkt 7.4. Format czasu OPC)


4.5.5. Ustawienie okresu czasu z paska narzedzi przy wlaczonym

4.5.5. Ustawienie okresu czasu z paska narzędzi przy włączonym automacie Okres-Próbkowanie

W przypadku włączonej opcji Okres-Próbkowanie (menu Plik > Opcje programu > okno ’r;Parametry programu’ > zakładka Automatyka) i ustawianiu okresu czasu z paska narzędzi należy pamiętać, że każdorazowa zmiana okresu pociąga za sobą automatyczną zmianę częstotliwości próbkowania.


4.5.6. Ustawienie okresu czasu przy pomocy myszy

Możliwa jest również zmiana okresu czasu przy użyciu myszy:

- ruch samego kółka powoduje przesuwanie okresu w tył/przód;

- ruch kółka przy wciśniętym klawiszu Ctrl powoduje zmianę szerokości okresu;

- ruch kółka przy wciśniętym klawiszu Shift powoduje szybkie przesuwanie okresu.


4.6. Typ osi trendu

AsTrend ozróżnia następujące typy osi:

- oś fizyczna,

- oś procentowa,

- wiele osi OY,

- wiele osi OY - stos,

- wykres XY.

Zastosowanie poszczególnych typów osi ilustrują poniższe rozdziały.


4.6.1. Wykres z osia fizyczna

4.6.1. Wykres z osią fizyczną

Oś fizyczna ustawiana jest z pomocą przycisku [image] lub komendą Oś OY - fizyczna dostępną w menu Wykres.

Domyślnie trend ma załączoną oś fizyczną.

Rysunek: Wykres z osią fizyczną.


4.6.2. Wykres z osia procentowa

4.6.2. Wykres z osią procentową

Oś procentowa aktywowana jest z pomocą przycisku [image] lub komendą Skala 0-100% dostępną w menu Wykres.

Rysunek: Wykres z osią procentową.


4.6.3. Wykres z wieloma osiami OY

Typ Wiele osi OY uruchamiany jest przyciskiem [image] w pasku narzędzi lub komendą dostępną z menu Wykres.

Rysunek: Wykres z wieloma osiami OY.


4.6.4. Wykres z wieloma osiami OY - stos

Typ Wiele osi OY - stos uruchamiany jest przyciskiem [image] w pasku narzędzi lub komendą dostępną z menu Wykres.

Dodatkowo dla wykresu Wiele osi OY - stos dodana została opcja umożliwiająca wyświetlanie dwóch sąsiednich wykresów przebiegów pojedynczej zmiennej na wspólnym wykresie. Taki wykres opisany jest przy pomocy dwóch osi OY umieszczonych po lewej i prawej stronie wykresu. Opcja załączana jest w danych serii kolejnych sąsiadujących ze sobą w Legendzie zmiennych.

Menu Seria > Opcje serii > zakładka Oś pionowa > opcja Położenie osi - wykres z wieloma osiami OY - stos

Opcja ta jest użyteczna, gdy chcemy pokazać przebieg zmiennych na większej powierzchni ekranu (wydruku), co znacznie poprawia czytelność wykresu, bądź też w sytuacji, gdy chcemy szybko zestawić ze sobą dwa przebiegi.

Rysunek: Wykres z wieloma osiami OY - stos.


4.6.5. Wykres X-Y

Istnieje możliwość tworzenia wykresów będących funkcją dwóch zmiennych asixa, np. wykresy typu ”r;punkt pracy”. Dla każdego punktu na wykresie wyświetlana jest etykieta. Etykieta ta może zawierać:

- stempel czasu punktu,

- numer punktu serii,

- wartość trzeciego pomiaru.

Wykres X-Y załączany jest komendą Wykres XY z menu Wykres lub przyciskiem [image], dostępnym na pasku narzędzi.

Rysunek: Wykres X-Y.

Zawartość etykiet na wykresie X-Y definiowana jest parametrem Etykiety na wykresie XY, dostępnym w oknie opcji trendu, na zakładce Wykres.

UWAGA: Parametr dotyczący zawartości wyświetlanych etykiet należy definiować dla zmiennej, która znajduje się jako pierwsza w legendzie.

Rysunek: Opcje trendu - zakładka 'Wykres'.

Rysunek: Wykres X-Y z włączonymi etykietami Numer punktu, stempel czasu.


4.7. Operacje na zmiennych

Jeżeli w oknie trendu wyświetlona została grupa zmiennych, to można wykonywać na pojedynczych zmiennych, lub też całej ich grupie pewne operacje. Można je wykonywać za pośrednictwem paska narzędzi lub też przy pomocy menu. Operacje wykonywane jedynie na konkretnych zmiennych, wymagają wcześniejszego ich wyselekcjonowania. Brak selekcji oznacza w tym przypadku, że operacja zostanie wykonana na wszystkich zmiennych wchodzących w skład trendu.


4.7.1. Selekcja jednej lub wszystkich zmiennych

W celu wykonania dowolnej operacji na jednej lub wszystkich krzywych należy dokonać selekcji zmiennych.

Selekcja pojedynczej zmiennej można dokonać:

  • kliknięciem lewym klawiszem myszy na linii wykresu;

  • kliknięciem lewym klawiszem myszy na legendzie w polu wiersza zmiennej.

Wybór wszystkich zmiennych następuje po dwukrotnym kliknięciu lewym klawiszem myszy na obszarze wykresu poza liniami krzywych.


4.7.2. Usuwanie zmiennych

Usunięcia zmiennej można dokonać przy pomocy:

  • przycisku [image] w pasku narzędzi;

  • polecenia menu Serie > Usuń;

  • kontekstowego menu Usuń w obszarze wykresów;

  • klawisza DEL.

Wymienione możliwości są dostępne pod warunkiem, że wcześniej zmienna została wyselekcjonowana. W przeciwnym razie wymienione funkcje są nieaktywne.

Usunięcie wyselekcjonowanej zmiennej powoduje, że następna w legendzie zmienna staje się zmienną wyselekcjonowaną.


4.7.3. Wyświetlanie metryki zmiennej

Wyświetlenia definicji zmiennej (tzw. metryki) można dokonać przy pomocy:

  • przycisku [image] w pasku narzędzi;

  • komenda Serie > Metryka zmiennej;

  • polecenia Metryka Zmiennej z menu kontekstowego wywołanego w obszarze wykresów.

Wymienione możliwości są dostępne pod warunkiem, że wcześniej zmienna została wyselekcjonowana. W przeciwnym razie wymienione funkcje są nieaktywne.

Poniżej umieszczono przykładowe okno wyświetlające metrykę.

Rysunek: Metryka zmiennej.

Powyższe dane pobierane są z bazy definicji zmiennych.


4.7.4. Wyświetlenie etykiet

Dla każdej zmiennej można wyświetlić tzw. etykiety. Są to umieszczone powyżej punktów pomiarowych prostokąty z wyświetloną wartością odpowiadającą danemu pomiarowi.

Wyświetlenia etykiet dokonać można przy pomocy:

  • przycisku [image] w pasku narzędzi;

  • polecenia Serie > Etykiety.

Rysunek: Wykres zmiennych z załączonymi etykietami.

Wciśnięty przycisk (zaznaczone menu) odpowiada sytuacji załączenia wyświetlania etykiet. Działanie tej funkcji uzależnione jest od kontekstu. Jeżeli w chwili naciskania przycisku [image] jest wyselekcjonowana jakaś zmienna, to etykiety zostaną wyświetlone lub usunięte jedynie na krzywej odpowiadającej wyselekcjonowanej zmiennej - w przeciwnym razie etykiety zostaną wyświetlone lub usunięte na wszystkich krzywych.

W przypadku zmiennej, której opisy podane są w bazie definicji zmiennych, po włączeniu opcji wyświetlania etykiet zostaną wyświetlone w etykietach nazwy stanów danej zmiennej.


4.7.5. Wyswietlenie punktow

4.7.5. Wyświetlenie punktów

Dla każdej zmiennej można wyświetlić punkty. Są to umieszczone w miejscach odpowiadających punktom pomiarowym znaczki graficzne - kwadraciki. Funkcja ta działa jedynie dla wykresów liniowych.

Wyświetlenia punktów dokonać można przy pomocy:

  • przycisku [image] w pasku narzędzi;

  • polecenie Serie > Punkty.

Rysunek: Wykres zmiennych z załączonymi punktami.

Wciśnięty przycisk (zaznaczone menu) odpowiada sytuacji załączenia wyświetlania punktów.
Działanie tej funkcji uzależnione jest od kontekstu. Jeżeli w chwili naciskania przycisku [image] jest wyselekcjonowana jakaś zmienna, to punkty zostaną wyświetlone lub usunięte jedynie na krzywej odpowiadającej wyselekcjonowanej zmiennej. W przeciwnym razie punkty zostaną wyświetlone lub usunięte na wszystkich krzywych.


4.7.6. Zmiana zakresu zmiennej

Standardowo wykres posiada zakres wyznaczony na podstawie bazy definicji zmiennych (np. 0-10000).

Działanie tej funkcji dotyczy wyselekcjonowanej zmiennej.

Zmianę zakresu (minimum i maksimum) przebiegu zmiennej dokonać można przy pomocy:

  • przycisku [image] w pasku narzędzi;

  • polecenia Serie > Zakres;

  • kliknięcia w obszarze Legendy w polu Zakres.

Spowoduje to wyświetlenie okienka 'Opcje serii’ z możliwością dokonania zamiany wartości zakresu pomiarowego i zakresu wyświetlania:

Rysunek: Okno 'Opcje serii' - zakładka 'Zakresy'.


4.7.7. Wymiana zmiennej

Wymiany wyświetlanej zmiennej (z zachowaniem atrybutów takich jak kolor, itp.) można dokonać przy pomocy:

  • przycisku [image] w pasku narzędzi;

  • polecenia Seria > Wymień zmienną...;

  • kliknięcia w wierszu zmiennej w obszarze legendy.

Wymienione możliwości są dostępne pod warunkiem, że wcześniej została wczytana baza definicji zmiennych oraz zmienna została wyselekcjonowana (w ostatniej z opisanych możliwości kliknięcie w polu nazwy legendy powoduje również selekcję). W przeciwnym razie wymienione funkcje są nieaktywne. Poniżej umieszczono przykładowe okno wyświetlane po wywołaniu tej funkcji.

Rysunek: Okno do zmiany nazwy zmiennej.

Należy dokonać edycji w polu zawierającym nazwę zmiennej oraz ustawić opcję pozostawienia niezmienionego zakresu w legendzie (tak jak na rysunku), bądź pobrania zakresu z bazy danych. Potwierdzenie następuje za pomocą przycisku OK (lub klawisza ENTER). Nazwa zmiennej jest dodatkowo wyświetlana w polu obok w kolorze danej krzywej. Ma to na celu łatwiejsze sprawdzenie, czy wybrana została właściwa zmienna, i dodatkowo umożliwia rozróżnienie (jeśli określona zmienna została wielokrotnie dodana do jakiegoś trendu).

Funkcja ta przydatna jest wtedy, jeśli nazwy zmiennych oznaczane są według jakiejś jednolitej konwencji (przykładowo rozpoczynają się od określonych znaków, np. "B1") i chcemy szybko zmienić definicję trendu w taki sposób, aby na wykresie pojawiły się wartości zmiennych, których nazwa rozpoczyna się od znaków "B2". Można to oczywiście zrobić przy pomocy innych funkcji, kolejno usuwając określoną zmienną, następnie dodając zmienną o nowej nazwie i przydzielając jej atrybuty zmiennej usuniętej. Jednak szybsze i prostsze jest użycie funkcji zmieniającej nazwę.

Jeśli otworzymy okienko zmiany nazwy zmiennej i klikniemy na klawisz OK, wówczas zostanie dokonana aktualizacja danej zmiennej. Do definicji trendu zostanie wpisana nowa definicja zmiennej, zgodnie z jej bieżącą deklaracją w bazie.


4.7.8. Wybor interpolacji

4.7.8. Wybór interpolacji

Standardowo stosowana jest interpolacja liniowa. Można również zastosować interpolację schodkową, co wskazane jest w przypadku wykresów wielostanowych.

Działanie tej funkcji dotyczy wyselekcjonowanej zmiennej.

Zmienić rodzaj interpolacji przebiegu zmiennej można przy pomocy:

  • przycisku [image] w pasku narzędzi;

  • menu Seria > Interpolacja schodkowa.

Różnice pomiędzy sposobami interpolacji ilustruje poniższy rysunek.

Rysunek: Przykład zastosowania interpolacji schodkowej i liniowej.

UWAGA:

Przy dodawaniu zmiennych asixa i zmiennych zewnętrznych program AsTrend sprawdza, czy zmienna ma zdefiniowane opisy stanów - i jeśli tak, dla przebiegu zmiennej automatycznie załączana jest interpolacja schodkowa.


4.7.9. Ukrywanie przebiegu zmiennej

Standardowo przebieg zmiennej ustawiony jest jako widoczny.

Działanie tej funkcji dotyczy wyselekcjonowanej zmiennej.

Ukrycia lub pokazania przebiegu zmiennej dokonać można przy pomocy:

  • przycisku [image] w pasku narzędzi;

  • polecenia Seria > Ukryj.

Wciśnięty przycisk (zaznaczone menu) odpowiada ukryciu przebiegu zmiennej.


4.7.10. Zmiana koloru

Każdej zmiennej można zmienić kolor. Normalnie koloru nie trzeba deklarować - program automatycznie przydziela kolejnym zmiennym kolejne kolory domyślne (czerwony, zielony, żółty...). Jeśli jednak z pewnych przyczyn nie podobają się nam te kolory lub też należy skorelować kolor z rodzajem pomiaru, wówczas można skorzystać z funkcji zmiany koloru.

Najpierw zmienną należy wyselekcjonować, a następnie dokonać zmiany koloru przy pomocy:

  • przycisku [image] w pasku narzędzi;

  • menu Zmienne.Kolory.

Przycisk [image] wywołuje okno 'Opcje serii’, w którym na zakładce Wygląd można zadeklarować swój własny kolor linii wykresu.

Rysunek: Okno "Opcje serii' - zakładka 'Wygląd'.

Kolory zostaną zmienione w obszarze wykresów i w legendzie. Zobacz również jak zmienić kolor tła.


4.8.1. Wykres liniowy

Wykres liniowy jest najczęściej stosowanym (i domyślnym) typem wykresu. Przykładowy wykres liniowy przedstawiony został poniżej.

Wykres może być wyświetlany w trybie 3D - w tym celu należy włączyć przycisk [image].

Rysunek: Wykres liniowy 3D.


4.8.2. Wykres slupkowy

4.8.2. Wykres słupkowy

Wykres słupkowy jest często stosowanym typem wykresu. Przykładowy przedstawiony został poniżej.

Wykres może być wyświetlany w trybie 3D - w tym celu należy włączyć przycisk [image].

Rysunek: Wykres słupkowy 3D.


4.8.3. Wyswietlanie opisow wartosci zmiennych

4.8.3. Wyświetlanie opisów wartości zmiennych

W programie AsTrend5 istnieje możliwość wyświetlania opisów stanów jako etykiet osi wartości dla wykresów fizycznych.

W przypadku wyświetlania wykresów wielu zmiennych - warunkiem koniecznym jest, aby wszystkie zmienne miały identyczne opisy stanów.

Mechanizm wyświetlania wartości stanów wymaga zadeklarowania zmiennych, które będą odpowiadać stanom zmiennych monitorowanych.

Szczegóły na temat przygotowania definicji zmiennych obsługujących definicje stanów omawia podręcznik do Architekta, rozdział 2.6. Przechowywanie opisów stanów zmiennych w bazie definicji zmiennych.

UWAGA:

Przy dodawaniu zmiennych asixa i zmiennych zewnętrznych program AsTrend sprawdza, czy zmienna ma zdefiniowane opisy stanów - i jeśli tak, dla przebiegu zmiennej automatycznie załączana jest interpolacja schodkowa.


4.8.4. Wykresy zmiennych dwustanowych

Wykresy zmiennych dwustanowych rysowane są na osobnych osiach dla wszystkich typów wykresów serii i wszystkich typów osi trendu.

Zmienna jest traktowana w programie AsTrend jako dwustanowa, jeśli ma zakres pomiarowy 0-1 i może przyjmować tylko wartości całkowite.

Wykresy zmiennych binarnych mają możliwość wyświetlania opisów stanów zmiennych.

Rysunek: Wykres zmiennych dwustanowych.


4.9. Wybor typu danych

4.9. Wybór typu danych

W programie AsTrend dostępne są następujące typy danych:

  • odstępy pomiędzy pomiarami są takie jak w archiwum (narzucone przez program archiwizujący) - dane oryginalne;

  • odstępy między pomiarami są równe (wymuszone przez program AsTrend) - dane równomierne;

  • odstępy pomiędzy pomiarami przyjmowane są automatycznie przez program AsTrend w zależności od długości okresu, dla którego wyliczane są średnie (dane uśrednione) lub wartości minimalne i maksymalne (dane przybliżone).

Domyślnie wybrany jest pierwszy wariant. Dane oryginalne są załączane również przyciskiem [image] na pasku narzędziowym lub poleceniem Dane oryginalne z menu Trend, lub też w oknie opcji trendu (na zakładce Dane) uruchamianym z menu Trend.

Zaletą tego wariantu jest to, że na wykresie po naniesieniu punktów widoczne będą momenty rzeczywistych pomiarów. Wadą są trudności występujące przy porównywaniu zmiennych o różnych przebiegach i różnych okresach próbkowania.

Wybór drugiego sposobu wymusza stały odstęp pomiędzy punktami na wykresie. Może to powodować dodanie lub usunięcie pewnych pomiarów. W rezultacie jednak otrzymujemy identyczne czasy próbkowania dla wszystkich zmiennych, co ułatwia ich porównywanie i jest szczególnie cenne przy wyświetlaniu trendu w postaci tabeli wartości (wszystkim zmiennym w tabeli odpowiada taka sama liczba wierszy).

Aby ustalić własny okres próbkowania należy w oknie 'Opcje trendu’, na zakładce Dane zdefiniować wartość parametru Dane równomierne - okres próbkowania.

Rysunek: Okno 'Opcje trendu' - zakładka 'Dane'.

Tak zdefiniowany okres próbkowania może być załączany przyciskiem [image] na pasku narzędzi lub poleceniem Dane równomierne dostępnym z menu Trend, lub też w oknie opcji trendu (na zakładce Dane) uruchamianym z menu Trend.

Sposób próbkowania realizowany dla danych przybliżonych lub danych uśrednionych załączany jest przyciskiem - odpowiednio [image] lub [image], lub też załączany w oknie opcji trendu (na zakładce Dane) uruchamianym z menu Trend.

Okres próbkowania przyjęty dla danej zmiennej wyświetlany jest w legendzie w polu Próbkowanie. Dodatkowo, obok okresu wyświetlana jest informacja o typie danych (oryginalne, równomierne, przybliżone, czy uśrednione).

Dane równomierne, uśrednione i przybliżone wyliczane są przez serwer asix przy użyciu modułu Agregatora; dzięki temu AsTrend czyta gotowe dane zagregowane zamiast wyliczać je z wartości surowych;

Wartości przybliżone są teraz rysowane w postaci wykresów HighLow; wykres jednej zmiennej składa się z dwu krzywych reprezentujących wartości minimalne i maksymalne - obszar pomiędzy nimi wypełniony jest kolorem serii.


4.9.1. Wybor rodzaju agregatu dla danych rownomiernych

4.9.1. Wybór rodzaju agregatu dla danych równomiernych

W sytuacji kiedy stosowany jest typ danych, w którym odstępy pomiędzy pomiarami są równe (wymuszone przez program AsTrend) istnieje możliwość wyboru rodzaju agregatu używanego do czytania danych równomiernych.

Ustawienia agregatu do czytania danych równomiernych można dokonać w oknie "Opcje serii”:

okno "Opcje serii” > zakładka Dane > pole Agregat dla danych równomiernych

Rysunek: Okno 'Opcje serii' - zakładka 'Dane'.

Przy zastosowaniu Agregatora (modułu systemu asix do wyliczania i archiwizacji danych statystycznych), dane równomierne wyliczane są przez serwer asix, skąd pobiera je program AsTrend - dzięki temu 'gotowe’ dane zagregowane interesujące użytkownika dostarczane są w sposób szybki i efektywny. (Patrz: 4.13. Agregator aplikacji asix ).


4.10. Opcje serii

Opcje serii ustalane są przy użyciu okna 'Opcje serii’, wywoływanego komendą Opcje z menu Seria, lub komendą Opcje z menu kontekstowego dostępnego po kliknięciu prawym przyciskiem myszy na wybranej zmiennej w legendzie.

Zakładka Zakres pozwala określić:

Rysunek: Opcje serii - zakresy.

- Zakres pomiarowy,

- Zakres wyświetlania.

Zakładka Dane daje możliwość wyświetlenia w ramach trendu dodatkowej osi czasu OX powiązanej z wybranymi zmiennymi / zmienną. Dodatkowa oś OX umiejscowiona jest ponad wykresem i pozwala wyświetlić dowolny okres czasu, co daje sposobność do porównania przebiegu zmiennych z dwóch różnych okresów.

Na zakładce umieszczone zostało również pole umożliwiające dokonanie wyboru rodzaju agregatu używanego do czytania danych równomiernych.

Rysunek: Opcje serii - zakresy.

Edycja dodatkowego okresu czasu możliwa jest w edytorze okresu, uruchamianego z paska narzędzi:

Rysunek: Okno z parametrem do edycji dodatkowej osi czasu.

Aby porównać przebiegi tej samej zmiennej z dwóch różnych okresów czasu, należy daną zmienną dodać do wykresu dwa razy, przypisując jednej z serii tej zmiennej drugą oś OX z zadeklarowanym dodatkowym okresem.

Gdy tylko jedna seria korzysta z dodatkowego okresu czasu, druga oś czasu rysowana jest w kolorze tej serii.

Dodatkowo użytkownik ma możliwość zadeklarowania na zakładce Dane archiwum aplikacji, z którego są wyświetlane dane. Domyślnie dane pobierane są z archiwum podstawowego.

Zakładka Wykres obejmuje parametry umożliwiające:

- ukrycie serii,

- przełączenie typu wykresu na liniowy bądź słupkowy,

- załączenie punktów / etykiet / interpolacji schodkowej oraz

- włączenie opcji powodującej wyświetlenie na wykresie linii obrazujących poszczególne limity serii:

Rysunek: Opcje serii - wykres.

Opcja Dla wszystkich serii umożliwia zastosowanie ustawień dla wszystkich serii zadeklarowanych na wykresie.

Sposób wyświetlania osi pionowej OY (dla osi procentowej i wykresów z wieloma osiami OY) determinują parametry zgromadzone za zakładce Oś pionowa - parametry ustawiane są dla danej wyselekcjonowanej zmiennej lub dla wszystkich serii jednocześnie:

Rysunek: Opcje serii - Oś pionowa.

- Format etykiet osi (wykres procentowy i wykres z wieloma osiami OY),

- Położenie osi (wykresy z wieloma osiami OY) - osie mogą być usytuowane z lewej lub prawej strony wykresu,

- Położenie osi (wykres z wieloma osiami OY - stos) - osie mogą być rysowane zawsze po lewej stronie wykresu oddzielnie dla każdej serii, lub serie mogą być rysowane na jednym wykresie w parze z sąsiadującą serią,

- Typ podziałki osi:

- liniowa,

- logarytmiczna - oś może mieć podziałkę logarytmiczną tylko wtedy, gdy zakres minimalny i maksymalny jest większy od zera.

Kolor i grubość serii określane są na zakładce Wygląd:

Rysunek: Opcje serii - wygląd.

- Opcje koloru - opcja umożliwia ustawienie dowolnego koloru serii. Jeśli użytkownik nie określi swojego indywidualnego koloru, kolorem serii będzie pierwszy wolny kolor pobrany z palety zdefiniowanej w opcjach programu,

- Opcje linii - umożliwia zadeklarowanie grubości linii serii w pikselach.

Opcje czcionki i format wartości w legendzie ustawiane są na zakładce Legenda:

Rysunek: Opcje serii - wygląd.

- Opcje czcionki - parametr obejmuje krój, pogrubienie, kursywę i podkreślenie,

- Format wartości - wyznaczany na podstawie zakresu zmiennej lub określany przez użytkownika.


4.11.1. Wyswietlenie osi i siatki

4.11.1. Wyświetlenie osi i siatki

W obszarze wykresów okna trendu domyślnie mieszczone są osie wykresu oraz siatka. Elementy te można wyłączyć i włączyć.

Wyświetlenia osi i siatki dokonać można przy pomocy:

  • przycisku [image] na pasku narzędzi;

  • menu Widok.Osie i Siatka.

Wciśnięty przycisk (zaznaczona pozycja menu) odpowiada sytuacji załączenia wyświetlania skali i siatki.

uwaga Przycisk wyświetlania osi i siatki jest aktywny przy wyłączonej blokadzie rozmiarów.


4.11.2. Wyswietlenie legendy

4.11.2. Wyświetlenie legendy

Poniżej obszaru wykresów okna trendu domyślnie umieszczona jest legenda. Legendę można w razie potrzeby wyłączyć (i włączyć z powrotem).

Wyświetlenia legendy dokonać można przy pomocy:

  • przycisku legenda na pasku narzędzi;

  • menu Widok.Legenda.

Wciśnięty przycisk (zaznaczona pozycja menu) odpowiada sytuacji załączenia wyświetlania legendy.

uwaga Przycisk wyświetlania legendy jest aktywny przy wyłączonej blokadzie rozmiarów.

W przypadku, gdy nie ma zadeklarowanej żadnej serii, legenda wyświetlana jest jako nagłówek z miejscem na jeden wiersz danych, gdzie pojawia się napis: 'brak danych do wyświetlenia’.

Użytkownik ma możliwość zmiany wysokości legendy za pomocą Paska podziału [image], dostępnego w menu Widok. Wysokośc legendy jest zaokrąglana do pełnych wierszy.

Dodatkowo, wprowadzone zostało zabezpieczenie uniemożliwiające przekroczenie przez obszar legendy powierzchni ¾ okna głównego AsTrend. W sytuacji, gdy obszar legendy jest większy od ¾ okna głównego trendów - pojawia się pasek przewijania.


4.11.3. Wyswietlenie linii odczytu

4.11.3. Wyświetlenie linii odczytu

W obszarze wykresów okna trendu można wyświetlić tzw. linię odczytu. Jest to pionowa kreska przecinająca krzywe umieszczone w obszarze wykresów. Linię tę można przesuwać wzdłuż wykresu przy pomocy myszy. Czas odpowiadający linii odczytu wyświetlany jest w pasku statusu. Jeżeli legenda wyświetla kolumny: Czas, Wart Wskazana i Wart Liczona, to wówczas kolumny te pokazują wartości odpowiadające pomiarom wskazywanym przez linię odczytu. Kolumna Wart Liczona pokazuje wartość interpolowaną dotycząca czasu wskazywanego linią odczytu.

Dzięki mechanizmowi drugiej linii odczytu użytkownik ma możliwość swobodnego wydzielenia na wykresie dowolnego odcinka czasu, dla którego wyliczone zostaną agregaty, wyświetlane w polach legendy (jeśli linie odczytu są wyłączone, wspomniane pola w legendzie wskazują agregaty wyliczane dla całego wyświetlonego okresu). Druga linia odczytu posiada własne pola w legendzie wyświetlające: czas, wartość wskazaną, wartość liczoną oraz długość odcinka czasu pomiędzy obiema liniami.

Wyświetlenia linii odczytu można dokonać przy pomocy:

  • przycisku [image] na pasku narzędzi;

  • menu Wykres.Linia odczytu,

  • przycisku dwielinie na pasku narzędzi - powoduje załączenie dwóch linii odczytu,

  • menu Wykres.Dwie linie odczytu

Nie wciśnięty przycisk (niezaznaczona pozycja menu) odpowiada sytuacji wyłączenia wyświetlania linii odczytu.

Linię odczytu można przestawiać ręcznie przy pomocy myszki. Po najechaniu kursorem na linię odczytu kursor zmienia kształt. Należy wtedy złapać linię wciskając lewy klawisz myszy i przesunąć ją w odpowiednie miejsce.

Jeżeli chcemy ustawić linię odczytu w ściśle określonym punkcie, wówczas należy to zrobić przy pomocy:

  • przycisku [image] na pasku narzędzi,

  • menu Wykres.Ustaw Linię odczytu...,

co spowoduje wyświetlenie przedstawionego poniżej okna umożliwiającego precyzyjne wprowadzenie czasu dla głównej linii odczytu oraz dodatkowej linii odczytu.

Rysunek: Okno opcji linii odczytu.

Poza możliwością określenia punktu położenia linii odczytu (głównej i dodatkowej) istnieje też możliwość ustalenia stałej odległości między liniami. Wystarczy w tym celu we wskazanym powyżej oknie "Opcje linii odczytu” załączyć opcję Utrzymuj stałą odległość między liniami odczytu i w polu poniżej określić odległość.

Grubość linii odczytu (głównej i dodatkowej) określana jest przy pomocy okna Opcje programu (zakładka Wykres). Okno dostępne jest z poziomu menu Plik.

Rysunek: Opcje programu - wykres - parametryzacja linii odczytu.


4.11.4. Wyswietlenie trojwymiarowego wykresu

4.11.4. Wyświetlenie trójwymiarowego wykresu

Każdy trend może być opcjonalnie wyświetlony jako (pseudo) trójwymiarowy.

Wyświetlenia trójwymiarowego trendu dokonać można przy pomocy:

  • przycisku [image] na pasku narzędzi;

  • menu Wykres.3D.

Nie wciśnięty przycisk (niezaznaczona pozycja menu) odpowiada sytuacji załączenia trójwymiarowego wykresu.


4.12. Parametry trendu

Podstawowe opcje trendu obejmujące: typ danych, typ osi trendu, parametry położenia i rozmiaru okna, parametry formatu legendy, kolorystykę poszczególnych elementów obszaru wykresu, opis wydruku oraz ustawienie domyślnego okresu czasu ustawianego w momencie otwarcia trendu mogą być zdefiniowane z poziomu okna 'Opcje trendu’ otwieranego komendą Opcje trendu... z menu Trend.

Zakładka Dane umożliwia ustawienie jednego z następujących dostępnych typów danych (patrz: 4.9. Wybór typu danych).

Rysunek: Opcje trendu - dane.

Zakładka Okno pozwala określić położenie i rozmiar okna trendów z możliwością zablokowania rozmiaru okna.

Rysunek: Opcje trendu - okno.

Zawartość etykiet punktów serii wykresu XY oraz marginesy na obszarze wykresu definiują opcje umieszczone na zakładce Wykres. Dla łatwiejszego porównywania wydruków trendów znajduje się tam również opcja Stały układ wykresu - co oznacza:

- osie i legenda zawsze są widoczne,

- szerokość etykiet dla prawej i lewej osi jest stała,

- na wydruku jest zarezerwowane miejsce na tytuł wykresu;

Rysunek: Opcje trendu - wykres.

- Stały układ wykresu - oznacza, że osie i legenda zawsze są widoczne, szerokość etykiet lewej i prawej osi jest stała (z wyjątkiem wykresu wieloosiowego), a na wydruku zawsze jest zarezerwowane miejsce na tytuł trendu - taki układ wykresu ułatwia porównywanie wydruków trendów.

- Etykiety na wykresie XY:

- Numer punktu serii,

- Numer punktu, stempel czasu,

- Numer punktu, stempel czasu, wartości próbek z dwu serii,

- Numer punktu, stempel czasu, wartości próbek trzech serii,

- Marginesy:

- Górny margines (w pikselach),

- Dolny margines (w pikselach).

Typ osi oraz widoczność osi określane są parametrami znajdującymi się na zakładce Osie:

Rysunek: Opcje trendu - osie.

- Osie i siatka widoczne - parametr pozwala ukrywać/wyświetlać osie i siatkę wykresu;

- Typ osi:

- Oś OY - fizyczna,

- Oś OY - procentowa,

- Wiele osi OY,

- Wiele osi OY - stos,

- Wykres XY,

Zakładka Legenda obejmuje parametry czcionki oraz szerokość, wysokość i widoczność kolumn legendy:

Rysunek: Opcje trendu - legenda.

- Legenda widoczna - umożliwia ukrycie /wyświetlenie legendy;

- Czcionka legendy (krój czcionki, pogrubienie, kursywa, podkreślenie);

- Szerokość kolumn legendy - istnieje możliwość załączenia opcji automatycznego ustalania szerokości kolumn;

- Wysokość legendy na ekranie - może być wyliczana automatycznie w zależności od liczby serii lub określana przez użytkownika za pomocą paska podziału lub pola Liczba widocznych serii w legendzie.

Opcje kolorów dodawanych zmiennych oraz kolorystyka trendu (kolor wykresu, tła obszaru osi wykresu, legendy oraz ścian wykresów 3D) definiowane są z poziomu zakładki Kolory:

Rysunek: Opcje trendu - kolory.

- Paleta kolorów - załączenie opcji umożliwi zastosowanie dla trendu palety kolorów zdefiniowanej przez użytkownika; paleta kolorów użytkownika definiowana jest na zakładce Paleta kolorów wyświetlanej tylko pod warunkiem załączenia opcji Paleta kolorów:

Rysunek: Opcje trendu - paleta kolorów.

- Własne kolory zmiennych - załączenie opcji powoduje, że raz przypisane zmiennym kolory nie zmieniają się w momencie usunięcia innych zmiennych,

- Kolor tła wykresu,

- Kolor tła obszaru osi wykresów,

- Kolor tła legendy,

- Wykres 3D - kolor lewej ściany,

- Wykres 3D - kolor dolnej ściany.

Zakładka Wydruk definiuje tytuł, nagłówek i stopkę wydruku:

Rysunek: Opcje trendu - wydruk.

- Tytuł - tytuł, który pojawi się na wydruku,

- Nagłówek - definiuje treść nagłówka wydruku,

- Stopka - definiuje treść stopki wydruku,

- Legenda na osobnej stronie - powoduje wydruk legendy na osobnej stronie,

- Legenda dwukolumnowa - powoduje załączenie opcji dwukolumnowej legendy na wydruku wykresu.

Zakładka Otwieranie pozwala dowolnie ustawić okres czasu, który zostanie załadowany w momencie otwarcia trendu:

Rysunek: Opcje trendu - otwieranie.

Początek i koniec okresu czasu danych można wyrażać względnie, używając konstrukcji typu: "teraz”, "Początek bieżącego dnia”, "Początek bieżącego miesiąca”, "Dziś godzina 6:00”, itd.

Dostępne są następujące warianty okresu ładowanego w trakcie otwierania trendu:

- Taki jak przy zapisie,

- Koniec okresu równy bieżącej chwili,

- Dzień bieżący, godzina bez zmian,

- Ostatnio używany,

- Wyrażony w formacie OPC - zastosowanie formatu OPC stwarza możliwość bardzo precyzyjnego określenia przedziału czasowego, dla którego mają być odrysowane serie danych w momencie otwarcia trendu. Zarówno początek jak i koniec okresu definiowany jest przy użyciu edytora czasu uruchamianego przyciskiem 3kropki, znajdującym się w polu Początek i Koniec. Czas może być czasem absolutnym lub czasem względnym, odnoszącym się do obecnej sekundy, minuty, godziny, itd.

Rysunek: Edytor czasu OPC.


4.13. Agregator aplikacji asix

Rysowanie danych przybliżonych może być przyspieszone poprzez zastosowanie w systemie asix agregacji. Wymaga to zadeklarowania przez projektanta aplikacji stosownych agregatów dla danych archiwalnych. Takie rozwiązanie powoduje automatyczne przyspieszenie rysowania wyświetlanych krzywych bez konieczności dokonywania przez operatora programu AsTrend jakichkolwiek ustawień w programie.

Parametryzacja wyliczania i archiwizacji agregatów sprowadza się jedynie do zadeklarowania przez administratora lub projektanta aplikacji systemu asix kilku opcji (w tym agregatu) w oknie konfiguratora systemu asix - programie Architekt.


4.14. Automatyka wyswietlania trendow

4.14. Automatyka wyświetlania trendów

Automatyka wyświetlania trendów powoduje przyspieszenie rysowania wyświetlanych krzywych, ponieważ program dostosowuje ilość wyświetlanych na ekranie punktów do wybranego zakresu czasu widocznego na ekranie.

W sytuacji, kiedy nie użyto w systemie asix mechanizmu agregacji, można przyspieszyć rysowanie krzywych definiując automatykę wyświetlania w opcjach programu AsTrend ( uwaga Wymaga to zdefiniowania dodatkowych zmiennych przechowujących wartości uśrednione zmiennej surowej - patrz: podręcznik do Architekta, rozdz. Średnie zmiennych definiowane na potrzeby AsTrend).

AsTrend > menu Plik > Opcje programu > okno 'Parametry programu’ > zakładka Automatyka

Definicje tych średnich wczytywane są do programu AsTrend za pomocą przycisku Wczytaj definicje średnich z bazy definicji zmiennych i widoczne są jako wartości pól próbkowania.

Rysunek: Opcje programu - automatyka.

Istnieją dwa sposoby optymalizacji wyświetlania:

  • Okres-Próbkowanie, gdzie do wybranego okresu wyświetlania dopasowywany jest sposób próbkowania;

  • Próbkowanie-Okres, polegający na zmianie wyświetlanego zakresu czasu przy zmianie sposobu próbkowania.

W przypadku włączonej opcji z menu Okres-Próbkowanie i ustawianiu okresu czasu z paska narzędzi, należy pamiętać, że każdorazowa zmiana okresu pociąga za sobą automatyczną zmianę częstotliwości próbkowania - parametry tej zmiany należy zdefiniować w oknie ’r;Parametry automatyki’ otwieranym przyciskiem Parametry:

Rysunek: Parametry automatyki w przypadku włączonej opcji 'Okres-Próbkowanie'.

W powyższym przykładzie wybierając długość okresu z paska menu przy włączonej automatycznej zmianie częstotliwości próbkowania otrzymujemy:

  • dla okresów mniejszych niż 1 godzina częstotliwość próbkowania ustawiana jest na 2s i wszystkie zmienne są zamieniane na zmienne chwilowe;

  • dla okresów większych lub równych 1 godzinę i mniejszych niż 1 dzień częstotliwość wynosi 5 minut i zmienne są średnimi 5-minutowymi;

  • dla okresów większych lub równych 1 dzień częstotliwość przyjmuje wartość 1 godziny i zmienne są zmiennymi godzinowymi.

Pamiętać należy, że zmiana okresu próbkowania powoduje automatyczną zmianę częstotliwości próbkowania dla wszystkich zmiennych zdefiniowanych w danym wykresie, bez względu na selekcję zmiennych.

W przypadku włączonej opcji z menu Próbkowanie-Okres i ustawianiu przez operatora rodzaju średniej z paska narzędzi, nastąpi zmiana okresu próbkowania - parametry tej zmiany należy zdefiniować w oknie ’r;Parametry automatyki’ otwieranym przyciskiem Parametry:

Rysunek: Parametry automatyki w przypadku włączonej opcji 'Próbkowanie-Okres'.

W powyższym przykładzie średnia wybrana przez operatora powoduje automatyczną zmianę okresu czasu dostosowaną do częstotliwości próbkowania:

  • zmienne chwilowe - okres wyświetlania wynosi 10 minut;

  • średnie 5-minutowe - okres wyświetlania wynosi 1 dzień;

  • średnie godzinowe - okres wyświetlania wynosi 7dni.

Sytuacja taka bardzo często jest wykorzystywana w praktyce - zwykle przegląda się duże okresy czasu wykorzystując średnie długoterminowe tak, aby wertowanie przebiegów odbywało się szybko. Następnie po wykryciu zaburzenia dokonuje się powiększenia wybranego obszaru, po czym można przerysować w wybranym automatycznie obszarze wszystkie krzywe jako średnie krótkoterminowe lub przebiegi nieuśrednione.


4.15. Odczyt definicji trendu

Odczyt definicji trendu można zrealizować przy pomocy:

  • menu Plik.Otwórz,;

  • przycisku [image] z paska narzędzi.

Powoduje to usunięcie starego trendu i wczytanie definicji trendu wskazanej w kolejno prezentowanym oknie.

Na definicję trendu składają się:

  • nazwy zmiennych

  • okres czasu trendu

  • parametry krzywych (kolory, typy wykresów, etykiety...)

  • wygląd i atrybuty okna trendów

  • parametry trendu (tytuł, nagłówek i stopka).

Rysunek: Okno do odczytu definicji trendu.

Okres czasu trendu może być taki sam jak podczas definiowania trendu, ewentualnie może być zmodyfikowany zgodnie z możliwościami, które daje okno parametrów trendu. Jeśli wybrany został tryb pracy z odpytaniem użytkownika o okres, to po odczycie definicji trendu zostanie wyprowadzane okno, w którym można ustawić okres czasu.

Trendy zapisywane są w plikach XML. Definicja trendu może być odczytana automatycznie, jeśli wystąpi jako argument w linii komendy startującej program.

uwaga Pokazane wyżej okienko wyświetla się zarówno w trybie administratora jak i operatora.

Okienko dla operatora nie ma możliwości przechodzenia do innego katalogu w polu Szukaj w oraz możliwości kasowania plików typu Tylko_do_odczytu.

Zarówno administrator jak i operator nie mają możliwości kasowania plików w sytuacji, kiedy na pliki AsTrend nałożona została blokada zapisu (opcja ustawiana w Architekcie: Obszary i komputery > Parametry startowe > Programy > opcja Blokada zapisu w programie AsTrend.

Istnieje parametr, który pozwala określić rodzaj okna, jakie będzie używane do otwierania plików trendu (z lub bez opcji podglądu zawartości trendu) &endash; opcja działa tylko wtedy, gdy program AsTrend uruchamiany jest samodzielnie:

Opcje programu > zakładka Okno otwarcia trendu > opcja Okno otwarcia pliku trendu


4.16. Drukowanie trendow

4.16. Drukowanie trendów

Trend wyświetlony w oknie trendów może zostać wydrukowany. Z wydrukiem trendów związane są funkcje:

  • podglądu wydruku

  • drukowania.

Na wydruku pojawiają się dodatkowe elementy oprócz obszaru wykresów i legendy. Są to:

  • tytuł wydruku

  • nagłówek wydruku

  • stopka wydruku.

Elementy te są widoczne w podglądzie wydruku i można je ustawić w oknie parametrów programu (wartości domyślne dla nowo tworzonych trendów) oraz oknie parametrów trendu (wartości indywidualne dla danego trendu).

menu Plik > Opcje programu > okno 'Opcje programu’ > zakładka Wydruk

Rysunek: Okno 'Opcje programu' - zakładka 'Wydruk'.

menu Trend > Opcje trendu > okno 'Opcje trendu’ > zakładka Wydruk:

Rysunek: Okno 'Opcje trendu' - zakładka 'Wydruk'.


4.16.1. Podglad wydruku

4.16.1. Podgląd wydruku

Użytkownik może obejrzeć na ekranie komputera wydruk przed właściwym wydrukowaniem. Służy do tego funkcja podglądu wydruku, którą można wywołać przy pomocy:

  • menu Plik.Podgląd wydruku

  • przycisku [image] na pasku narzędzi.

Rysunek: Podgląd wydruku wykresu.

W oknie podglądu wydruku w zależności od wybranej drukarki wydruk będzie czarno-biały lub kolorowy. Na drukarce czarno-białej wszystkie kolory będą się automatycznie zamieniać na odcienie szarości. W pasku narzędziowym tego okna znajdują się przyciski umożliwiające przeskalowanie podglądu do wymiarów okna, przeskalowanie do 100% (wielkość jak na drukarce), przeskalowanie do szerokości strony, ustawienie parametrów drukarki oraz sam wydruk.


4.16.2. Wykonanie wydruku

Wyprowadzenie wydruku następuje po:

  • wywołaniu z menu funkcji Plik.Drukuj;

  • naciśnięciu przycisku [image] na pasku narzędzi.

Jest pewna różnica w realizacji tych dwóch funkcji w zależności od trybu pracy programu AsTrend (operatora, administratora).

W trybie Operatora - po wywołaniu funkcji z menu i z paska narzędzi natychmiast realizowana jest operacja drukowania.

W trybie Administratora - po wywołaniu funkcji z menu wyprowadzane jest przedstawione poniżej okno, przy pomocy którego można jeszcze dokonać zmiany drukarki i jej właściwości. Funkcja wywoływana przyciskiem z paska narzędzi realizuje natychmiastowe wyprowadzenie wydruku na drukarce:

Rysunek: Okno 'Drukuj'.


4.16.3. Drukowanie trendow o ponad 8 krzywych

4.16.3. Drukowanie trendów o ponad 8 krzywych

Gdy definicja trendu zawiera ponad 8 krzywych, przed wydrukiem należy zmienić w oknie 'Parametry Trendu’ (menu Trend > Opcje trendu) legendę na dwukolumnową - wówczas na wydruku mieści się do 16 opisów zmiennych w legendzie. Należy pamiętać, że wówczas wymiary wykresu i legendy będą inne niż dla trendu z legendą jednokolumnową.

Rysunek: Podgląd wydruku.

Przy drukowaniu legendy jednokolumnowej, jeśli liczba krzywych przekroczy 8, na ekranie pojawia się następujący komunikat:

Rysunek: Ostrzeżenie przy drukowaniu wykresu z legendą przy liczbie krzywych przekraczających 8.

Pozostaje do decyzji operatora, jak ustawi poszczególne obszary ekranu. Należy pamiętać, że rozmiary wykresu na stronie zmienią się w stosunku do wydruku z zablokowanymi rozmiarami i autodopasowaniem.


4.17. Zamykanie trendu

Aby zamknąć aktualnie wyświetlany trend bez zamykania programu AsTrend należy:

  • wybrać z menu Plik.Nowy Trend;

  • lub przycisnąć przycisk [image] z paska narzędzi.

Spowoduje to usunięcie z ekranu starego trendu i wyświetlenie pustego obszaru wykresu gotowego do edytowania.


4.18. Zapis definicji trendu

Zapis definicji trendu można zrealizować przy pomocy:

  • menu Plik > Zapisz

  • menu Pli > .Zapisz jako...

  • przycisków [image] i [image] na pasku narzędzi.

Funkcje zapisu zależą również od trybu pracy trendów. W trybie Operatora, zapis definicji trendu jest ograniczony, natomiast w trybie Administratora i trybie Pełnym, użytkownik może w dowolny sposób zapisywać definicje trendów.

W trybie Operatora

Operator nie może zapisać (modyfikować) istniejącego trendu, o ile ma on status Tylko_do_odczytu. Przy próbie takiego zapisu pojawia się komunikat:

Rysunek: Komunikat przy próbie zapisu trendu Tylko_do_odczytu przez Operatora.

Operator ma możliwość zapisu nowego trendu, oraz zmodyfikowanego trendu pod nową nazwą.

Rysunek: Okno 'Zapisz jako' dla Operatora.

Nie może zapisać trendu jako Tylko_do_odczytu.

Trendy zapisywane są w plikach.

uwaga W momencie, gdy program AsTrend jest uruchamiany na danym komputerze razem z asixem, powinien być wywoływany przez Operatora z menu aplikacji asixa a nie z belki systemu Windows. AsTrend uruchomiony z belki ma ograniczenia dotyczące operacji na plikach &endash; Operator nie może zapisywać plików, ponieważ nie ma zadeklarowanego katalogu, w którym plik mógłby być zapisany.

W trybie Administratora

Administrator ma możliwość tworzenia nowych trendów ze statusem Tylko_do_odczytu.

W oknie pokazanym poniżej, nadaje nazwę nowego trendu i zaznacza status Tylko_do_odczytu.

Rysunek: Okno 'Zapisz jako' dla Administratora.

Administrator ma także możliwość modyfikowania istniejących definicji trendów, bez względu na ich status. Przy próbie modyfikacji istniejącego pliku trendu pojawia się okno informacyjne:

Rysunek: Komunikat przy próbie modyfikacji istniejącego pliku trendu przez Administratora.

Jeżeli modyfikowany plik jest plikiem ze statusem Tylko_do_odczytu, pojawia się następny komunikat:

Rysunek: Komunikat przy próbie modyfikacji istniejącego pliku trendu o statusie Tylko_do_odczytu przez Administratora.

Należy pamiętać, że trend zapisany przez Administratora w trybie Tylko_do_odczytu staje się automatycznie wzorcem, który nie może być już przez nikogo zmieniony.


4.19. Definiowanie hasla logowania administratora i sposob

4.19. Definiowanie hasła logowania administratora i sposób logowania

W przypadku stosowania systemu asix bez uaktywnionego modułu AsAudit dostępny jest mechanizm zarządzania i kontroli uprawnień rozróżniający dwa tryby pracy programu AsTrend: tryb administratora i operatora (patrz więcej: 1.5 . Praca programu z aplikacją systemu asix).


4.19.1. Logowanie Administratora

Aby zalogować się jako administrator, należy przycisnąć przycisk [image] lub użyć funkcji menu Plik > Tryb administratora. Program spowoduje wówczas wyświetlenie okna 'Podaj hasło’, gdzie należy wprowadzić poprawne hasło.

Rysunek: Okno 'Podaj hasło’.

uwaga W momencie, gdy program AsTrend jest uruchamiany na danym komputerze po raz pierwszy, aby zalogować się w trybie administratora - wystarczy nacisnąć klawisz ENTER (po wywołaniu okna 'Podaj hasło’), a następnie ustanowić hasło logowania (Plik.Zmiana hasła...), które będzie obowiązywało przy kolejnej próbie logowania.


4.19.2. Zmiana hasla

4.19.2. Zmiana hasła

Aby zmienić istniejące hasło, należy przejść w tryb administratora i w oknie 'Zmień hasło’ wywoływanym z menu Plik.Zmiana hasła... wprowadzić hasło, które będzie od tej chwili obowiązywać.

Rysunek: Okno 'Zmień hasło’.

Hasło przechowywane jest w rejestrze komputera.


4.20. Kontekstowe menu

W obszarze wykresów, legendy oraz tabeli można wywołać menu kontekstowe, naciskając prawy klawisz myszy. Przy pomocy tego menu użytkownik jest w stanie wykonać opisane poniżej czynności.

W obszarze wykresów:

  • dodać do wykresu nową zmienną (Dodaj&ldots;),

  • usunąć z wykresu zmienną (Usuń),

  • wyświetlić metrykę zmiennej (Metryka Zmiennej&ldots;),

  • zaznaczyć wszystkie serie,

  • skopiować okres do schowka (Kopiuj okres do schowka),

  • zmienić kolor tła wykresu, tła obszaru osi wykresów, tła legendy (Kolor tła).

W obszarze legendy:

  • dodać do wykresu nową zmienną (Dodaj&ldots;),

  • usunąć z wykresu zmienną (Usuń),

  • ukryć serię (Ukryj),

  • zaznaczyć wszystkie serie,

  • przesunąć wiersz zmiennej o jeden w górę (Przesuń w górę),

  • przesunąć wiersz zmiennej o jeden w dół (Przesuń w dół),

  • wyświetlić metrykę zmiennej (Metryka Zmiennej),

  • wymienić zmienną (Wymień zmienną),

  • ustalić zakres pomiarowy i zakres wyświetlania (Zakres),

  • załączyć wyświetlanie znaczników punktów pomiarowych na wykresie (Punkty),

  • załączyć wyświetlanie etykiet punktów pomiarowych na wykresie (Etykiety),

  • ustawić opcje serii (Opcje),

  • ustawić kolor tła legendy, wykresu i obszaru osi wykresu (Kolor Tła).

W obszarze tabeli wartości:

  • skopiować widoczny w oknie fragment tabeli wartości do schowka (Kopiuj tabelę),

  • skopiować całą tabelę wartości do schowka (Kopiuj wszystko),

  • skopiować całą tabelę wartości do schowka w formacie użytecznym dla arkuszy kalkulacyjnych (Kopiuj arkusz),

  • zapisać tabelę z pliku tekstowym (Zapisz do pliku).


4.21. Eksportowanie danych

Program AsTrend umożliwia eksport danych do formatu pliku PDF, BMP oraz pliku tekstowego.

Korzystając z komendy Eksportuj dane eksportujdane w menu Plik można w łatwy sposób wyeksportować dane wyświetlone na wykresie trendu lub tabeli (generowanej przez komponent Tabela danych) do pliku tekstowego *.txt, *.csv (lub schowka) w formie wartości oddzielonych znakami separatora (w przypadku eksportu do schowka - znakami tabulacji). Dane uszeregowane są w kolumnach zawierających kolejno: czas, wartości zmiennej. Każda zmienna posiada swoja kolumnę czasu i wartości - wyjątkiem jest przypadek danych równomiernych (stały okres czasu pomiędzy kolejnymi próbkami), gdzie istnieje możliwość ustawienia wspólnej kolumny czasu. Czas eksportowany jest w formacie systemowym (’r;2008-02-20 16:48:22’). Dla serii alarmowych oraz danych zewnętrznych kolumna czasu dodatkowo zawiera milisekundy.

Eksport do plików PDF lub BMP umożliwiają odpowiednio komendy:

Eksportuj do PDF - zapisanie trendu (obszar wykresu i legenda) do pliku w formacie PDF,

Eksportuj do BMP - zapisanie trendu (obszar wykresu i legenda) do pliku w formacie BMP.


4.22. Schowek okresow

4.22. Schowek okresów

Bardzo przydatnym narzędziem podczas pracy przy analizowaniu rzeczywistych krzywych jest Schowek Okresów. Jest on przydatny, jeśli użytkownik oglądając jeden z trendów chciałby obejrzeć inny trend (być może pokrewny lub w jakiś sposób powiązany) w tym samym okresie czasu bez potrzeby zapamiętywania tego okresu.

Schowek jest swego rodzaju podręczną pamięcią umożliwiającą zapamiętywanie, w celu późniejszego wykorzystania, różnych ciekawych okresów czasu. Okres zapamiętywany jest jako Opis, Początek, Koniec (zakładka Schowek okresów) wraz z dodatkowymi informacjami dotyczącymi ustawień głównej i dodatkowej linii odczytu (zakładka Historia okresów). Zawartość tej pamięci wyświetlana jest w okienku 'Schowka Okresów’ przedstawionym poniżej.

Rysunek: Schowek okresów.

Schowek Okresów wyświetlić można naciskając przycisk [image] w pasku narzędziowym okna trendów lub też wybierając w menu Okres polecenie Schowek okresów. Okno to wyświetlane jest zawsze na wierzchu. Jego zamknięcie nie powoduje skasowania zawartości schowka. Pojemność schowka nie jest ograniczona, choć w momencie początkowym wyświetla się jedynie kilka pierwszych wierszy. W przypadku większego zapełnienia okno schowka można rozciągnąć lub też przesunąć się wzdłuż jego zawartości korzystając z suwaka.

Wskazany (kliknięciem myszki) okres czasu staje się okresem wyselekcjonowanym i na takim można wykonywać pewne operacje. Kliknięcie w polu Opisu powoduje możliwość edycji tego pola (znika wtedy niebieskie podświetlenie wiersza). Wpisany tekst opisu powinien identyfikować dla użytkownika dany okres. Po wprowadzeniu tekstu opisu należy nacisnąć klawisz ENTER. Pozostałe pola wpisywane są automatycznie po wywołaniu odpowiednich funkcji i nie mogą być edytowane.

UWAGA PRAKTYCZNA Nie należy wyświetlać tego okna na środku ekranu, bo może ono przesłonić okienko z komunikatem o błędzie systemowym, które z definicji tam jest wyświetlane.


4.22.1. Funkcje schowka okresow

4.22.1. Funkcje schowka okresów

W pasku narzędzi umieszczone zostały przyciski umożliwiające wywołanie funkcji schowka takich jak dodawanie i usuwanie okresów, zastosowanie okresu do przerysowania trendu oraz wyczyszczenie schowka. Użytkownik może:

  • dodawać do Schowka okresy czasu; można to zrobić przy pomocy przycisku [image] umieszczonego w pasku narzędziowym okna trendów, lub w pasku narzędziowym schowka (do wyboru), albo przy pomocy menu Okres > Kopiuj okres do schowka (Ctrl + Ins); dodany okres czasu jest automatycznie dodawany do listy jako ostatni; po dodaniu wskazane jest dodatkowe wypełnienie pola Opis okresu, o ile okres ten ma być zapamiętywany przez dłuższy czas;

  • wykorzystywać okresy czasu zgromadzone w Schowku do przerysowania trendu w zadanym okresie; można to zrobić selekcjonując okres na liście, a następnie naciskając przycisk [image] Zastosuj wskazany okres czasu (Shift + Ins) z paska narzędzi lub też dwukrotnie klikając na wyselekcjonowanym polu;

  • usuwać zgromadzone w Schowku okresy; można to zrobić selekcjonując okres na liście, a następnie naciskając przycisk [image] Usuń wskazany okres czasu (Ctrl + Del) z paska narzędzi lub też naciskając klawisz DEL na klawiaturze;

  • opróżnić zawartość całego Schowka; można to zrobić naciskając przycisk [image] Skasuj zawartość całego schowka z paska narzędzi.

Wymienione funkcje można wywołać przy pomocy menu kontekstowego dostępnego w oknie Schowka Okresów. Menu to wywoływane jest naciśnięciem prawego klawisza myszki.


4.23. Operacje na osiach

Standardowo obie osie pionowa i pozioma pracują w tak zwanym trybie domyślnym, co oznacza, że zakres osi, sposób wyskalowania, opisania oraz inne parametry są dobierane z legendy. Czasami użytkownik pragnie te ustawienia zmienić.

Może to zrobić dla każdej z osi - osobno poziomej i osobno pionowej:

  • naciskając przycisk [image] lub przycisk [image];

  • wybierając menu Wykres > Opcje osi OY, Opcje osi OX;

  • klikając myszką na odpowiednią oś.


4.23.1. Operacje na osi poziomej

Operacje wykonywane na osi poziomej dostępne są z poziomu kolejno prezentowanego okna.

W przypadku osi poziomej nie można włączyć i wyłączyć trybu automatycznego skalowania (wykonuje to program). Można natomiast obejrzeć wyświetlany na osi zakres. Dodatkowo możliwa jest również modyfikacja sposobu wyświetlania opisu osi. Standardowo używany jest tryb automatyczny (format domyślny), przyjmujący opis typu ”r;yy-mm-dd" - jeśli wyświetlany okres jest większy niż dzień oraz opis typu ”r;hh:mm" - w pozostałych przypadkach. Takie rozwiązanie aczkolwiek wygodne, bo podczas powiększania lub pomniejszania automatycznie zmienia się sposób opisu osi, nie zawsze może użytkownikowi odpowiadać. Istnieje zatem możliwość wyboru innego sposobu opisu lub też zdefiniowania własnego formatu.

Rysunek: Okno formatu głównej osi czasu.

Do wyboru są następujące formaty:

  • domyślny

  • własny

  • yy-mm-dd hh:mm:ss

  • yy-mm-dd hh:mm

  • yy-mm-dd hh

  • yy-mm-dd

  • yy-mm

  • mm-dd hh:mm:ss

  • mm-dd hh:mm

  • mm-dd hh

  • mm-dd

  • dd hh:mm:ss

  • dd hh:mm

  • dd hh

  • hh:mm:ss

  • hh:mm

  • mm:ss

Wybór formatu własnego wymaga jego określenia w odpowiednim polu edycyjnym. Wpisanie np. łańcucha "yy*mm*dd" spowoduje wyprowadzanie daty w ten sposób, że jej pola zostaną rozdzielone gwiazdkami (zamiast standardowych kresek).


4.23.2. Operacje na osi pionowej

Operacje wykonywane na osi pionowej dostępne są z poziomu przedstawionego poniżej okna:

Rysunek: Opcje osi OY.

Każdy otwierany trend posiada domyślnie oś ustawioną na zakres zgodny z zakresem wyświetlania. Minimum stanowi najmniejsza wartość spośród minimów odczytanych dla wszystkich zmiennych zdefiniowanych w trendzie. W analogiczny sposób wyliczane jest maksimum jako największa wartość ze wszystkich maksimów.

Istnieje możliwość określenia dla minimum i maksimum, czy mają one być:

  • wyznaczane na podstawie wartości zakresu wyświetlania,

  • wyznaczane na podstawie wartości zakresu pomiarowego,

  • wyznaczane na podstawie najmniejszej/największej wartości próbki,

  • podawane arbitralnie przez użytkownika.

Ustawiony ręcznie zakres obowiązywał będzie aż do następnej zmiany.

Obliczenie zakresu polega na wyznaczeniu najmniejszej wielkości minimum oraz największej wartości maksimum dla wszystkich krzywych trendu.

Dodatkowo możliwa jest modyfikacja sposobu wyświetlania etykiet opisujących oś pionową:

- dla wykresów z jedną osią OY i wykresów XY służy do tego celu opcja Format etykiet dostępna z poziomu okna 'Oś OY’, wywoływanego z menu Wykres,

- dla wykresów z wieloma osiami OY oraz dla osi procentowej format etykiet opisujących oś pionową definiuje opcja Format etykiet osi... znajdująca się w oknie Opcje serii > na zakładce Oś pionowa; okno wywoływane jest poleceniem Opcje... z menu Seria.

Edytując domyślny format można określić np. liczbę miejsc po przecinku, ilość wyprowadzanych pozycji, znak oddzielający część całkowitą od ułamkowej itp.


4.24. Operacje na wyswietlanych krzywych

4.24. Operacje na wyświetlanych krzywych

Po narysowaniu trendu w typowych przypadkach wykonuje się w oknie trendu operacje pozwalające na optymalne dostosowanie widoku wyświetlanych krzywych do aktualnych potrzeb.

Wykonanie pewnych operacji może skutkować niemożnością wykonania innych operacji. Przykładowo, jeśli rejestracja przebiegu jest włączona, to nie można się przesuwać wzdłuż wykresu, itp.


4.24.1. Tryb rejestracji

Każdy trend może znajdować się w danym momencie w trybie rejestracji zmiennych. Oznacza to, że okres czasu trendu ma stałą długość, ale jego początek i koniec zmieniają się w ten sposób, że koniec okresu czasu jest jednocześnie momentem bieżącym.

Tryb rejestracji może być załączony przy pomocy:

  • przycisku [image] w pasku zadań (o ile jest aktywny);

  • komendy Trend > Start rejestracji (o ile jest aktywne).

Tryb rejestracji przeznaczony jest zasadniczo do ciągłej obserwacji świeżo pojawiających się danych. Obszar wykresów jest wówczas odrysowywany co 1 sekundę pod warunkiem, że w tym czasie pojawiły się jakieś nowe pomiary.

Tryb rejestracji może być wyłączony przy pomocy:

  • przycisku [image] w pasku zadań (o ile jest aktywny);

  • komendy Trend > Stop rejestracji (o ile jest aktywna).

W trybie zatrzymania rejestracji okres czasu trendu się nie zmienia - trend jest nieruchomy. W tym trybie można wykonywać wszelkie inne operacje.


4.24.2. Powiekszenia

4.24.2. Powiększenia

Każdy fragment trendu wewnątrz pola wykresów może zostać powiększony. Powiększenia można dokonać na poniżej opisane sposoby.

  • Zaznaczając prostokątny obszar, który chcemy powiększyć, przy pomocy myszki (rysunek poniżej). Obszar powinien być zaznaczany od lewej strony do prawej z naciśniętym lewym klawiszem myszki. Puszczenie klawisza powoduje wykonanie powiększenia. Górny lewy róg obszaru nie może pokrywać się z krzywą, bo wtedy kliknięcie jest traktowane jako selekcja.

Rysunek: Powiększenie wybranego obszaru wykresu.

Domyślnie trendy mają włączoną blokadę powiększania w pionie, co powoduje zmianę powiększenia przy pomocy myszki tylko w osi czasu (poziomej). Aby wyłączyć blokadę powiększenia w pionie i uzyskać możliwość powiększania dowolnego fragmentu wykresu, należy ”r;wykliknąć" przycisk [image] - Blokada powiększania w pionie (dostępny również w menu Wykres)

  • Naciskając (w razie potrzeby kilkakrotnie) przycisk [image] na pasku narzędzi (powiększenie o 50%) (dostępny również w menu Wykres).

..

Pomniejszenia można dokonać przy pomocy przycisku [image] na pasku narzędzie (polecenie dostępne również w menu Wykres).

Powiększenia mogą być animowane - należy włączyć w tym celu przycisk [image]. W efekcie przy operacji powiększania wykresu poprzez przeciągnięcie myszką, wykres będzie się powiększał płynnym ruchem.

Możliwa jest opcja zakazania powiększania wybranej osi.

Wyłączenie powiększania osi czasu można uzyskać naciskając przycisk [image] na pasku narzędzi, lub wybierając z menu Okres polecenie Blokuj zmianę okresu myszką.

Wyłączenie powiększania osi wartości można uzyskać naciskając przycisk [image] na pasku narzędzi, lub wybierając z menu Wykres polecenie Blokuj powiększenie myszką w pionie.


4.24.3. Przesuniecia

4.24.3. Przesunięcia

Wyświetlony obszar wykresu zgodnie z danymi początkowymi, może zostać przesunięty w przód lub w tył w zależności od potrzeby.

Przesunięcia można dokonać przy użyciu następujących przycisków:

Przesuń w tył / w przód o okres - przesunięcie o bieżący okres,

Przesuń w tył / w przód - przesunięcie o ¼ okresu,

Zwiększ okres / Zmniejsz okres - zwiększenie / zmniejszenie okresu następuje wg kolejnych predefiniowanych w programie AsTrend długości okresów,

Pokaż ostatnie dane - ustawienie końca okresu na chwilę bieżącą,


4.24.4. Odczyt wartosci

4.24.4. Odczyt wartości

Możliwy jest odczyt wartości wskazanej kursorem. W tym celu należy wskazać kursorem żądany punkt. W momencie, kiedy kursor pojawi się na tle krzywej, wówczas zmienia się jego kształt (ze strzałki na krzyżyk). Wtedy należy kliknąć myszką w danym punkcie i po chwili na okres około 1 sekundy w okienku obok kursora pojawi się wskazana wartość wraz z odpowiadającym jej czasem (rysunek poniżej).

Rysunek: Odczyt wartości.

Jeżeli chcemy odczytywać wartości przez dłuższą chwilę, wówczas należy nacisnąć klawisz myszy na dłużej, a wtedy przez cały czas naciskania w pasku statusowym wyświetlane będą: wartość wskazana oraz odpowiadający jej czas.

Ubocznym efektem odczytu wartości jest selekcja danej zmiennej.

Odczytu bloku wartości można dokonać z tabeli wartości.


4.24.5. Selekcja zmiennej

W wielu przypadkach przed wykonaniem określonej operacji należy wykonać selekcję zmiennych tak, aby następna operacja dotyczyła właśnie tej zmiennej. Istnieją dwa sposoby selekcji:

  • klikając myszką na krzywej w obszarze wykresów (przed kliknięciem kursor powinien zmienić kształt ze strzałki na krzyżyk tak jak przy odczycie wartości);

  • klikając w obszarze legendy w linii odpowiadającej określonej zmiennej w polu nazwy lub opisu.

Nazwa takiej wyselekcjonowanej zmiennej pojawi się w polu statusowym. Efektem ubocznym będzie uaktywnienie pewnych przycisków w pasku narzędzi oraz pewnych pozycji w menu, które są aktywne pod warunkiem dokonania selekcji.


4.24.6. Blokowanie\odblokowanie rozmiarow i ukladu okna

4.24.6. Blokowanie\odblokowanie rozmiarów i układu okna

Blokady lub odblokowania rozmiarów i układu okna można dokonać tylko w trybie administratora. Służą do tego przyciski [image] i [image]. Polecenia dostępne jest również w menu Widok > Blokada rozmiarów okna i Stały układ wykresu.

Praca w trybie blokady rozmiarów i układu okna jest przeznaczona dla operatora. W tym trybie nie można zmienić rozmiarów poszczególnych pól okna trendu. Równocześnie zablokowane jest dla operatora zakończenie programu AsTrend.

O ile administrator zapamiętując trend nie zablokuje rozmiarów okna, to trend otwarty w trybie operatora będzie traktowany jako wzorzec, ale nie będzie miał zablokowanych rozmiarów.


4.24.7. Przywrocenie oryginalu

4.24.7. Przywrócenie oryginału

Po wykonaniu dowolnych operacji zmiany wyglądu okna trendów zawsze można przywrócić stan początkowy. Dokonuje się tego poprzez naciśnięcie przycisku [image]. Polecenie dostępne jest również w menu Plik > Przywróć oryginał.

Powoduje on, że na ekranie pojawia się ostatnio wczytany trend.


4.25. Deklaracje wyswietlania ostrzezen

4.25. Deklaracje wyświetlania ostrzeżeń

W trakcie działania programu AsTrend istnieje możliwość wyświetlania następujących ostrzeżeń:

  • o wykonaniu zbyt dużego powiększenia;

  • o wyświetlaniu tablicy wartości dla dużej ilości punktów pomiarowych, co może spowodować, że program będzie wykonywał tę operację przez dłuższy okres czasu; wskazane jest, aby zmienić wówczas częstotliwość próbkowania;

  • o tym, że w wyświetlanym trendzie znajdują się punkty, których wartość przekroczona jest o 100% zakresu powyżej górnego lub poniżej dolnego zakresu;

  • o załączonym automacie Okres-Próbkowanie;

  • o załączonym automacie Próbkowanie-Okres;

  • o błędzie odczytu danych.

Otwierając okno 'Parametry programu’ (na zakładce Ostrzeżenia) z menu Plik można zadeklarować, które z tych opcji mają być aktywne.

Rysunek: Opcje programu - ostrzeżenia.

Konfiguracja ta jest zapamiętywana i wywoływana wraz z uruchomieniem AsTrend.


4.26. Skalowanie 0-100%

Aby lepiej i łatwiej można było porównywać wykresy o różnych zakresach, na osi wartości można przeskalować wszystkie zmienne trendu na zakres od 0-100%. Przeliczanie w tym trybie realizowane jest w ten sposób, że wartości 0% odpowiada minimum zakresu wyświetlania zmiennej, zaś wartość 100% maksimum zakresu wyświetlania zmiennej. Dlatego należy ustawić odpowiedni zakres zmiennej lub zaakceptować zakres ustalony na podstawie bazy danych. Jeżeli włączone jest automatyczne skalowanie osi to oś procentowa będzie miała zakres 0-100%. W przeciwnym wypadku wyświetlany jest taki podzakres, w którym znajdują się wartości.

Funkcję przeskalowania można wywołać przy pomocy:

  • przycisku [image] w pasku narzędzi;

  • polecenie Wykres > Oś OY - procentowa.

Wciśnięty przycisk odpowiada sytuacji załączenia przeskalowania wykresu.

W trybie tym selekcja zmiennej powoduje wrysowanie osi wartości właściwej dla danej zmiennej i w kolorze danej zmiennej po prawej stronie obszaru wykresu. W zależności od sposobu skalowania osi objęty jest zakres, w którym są pomiary lub zakres wprowadzony przez użytkownika.

Oś wartości wyskalowanej od 0 do 100% pozostaje wyrysowana po lewej stronie obszaru wykresu.

W trybie tym odczyt wartości zarówno przy pomocy linii odczytu jak i myszki wskazuje wartości rzeczywiste, a nie procentowe.

W przypadku kiedy na wykresie procentowym znajduje się więcej niż jedna krzywa, wyświetlenie osi wyskalowanej w jednostkach fizycznych dla danej zmiennej następuje po kliknięciu na danej krzywej (oś procentowa jest cały czas widoczna z lewej strony okna trendu). Oś wyskalowana jest wówczas wyświetlona w kolorze wyselekcjonowanej krzywej. Podwójne kliknięcie poza krzywą powoduje usunięcie dodatkowej osi.

Pole wykresów z dwiema osiami przedstawia rysunek poniżej.

Rysunek: Pole wykresów z dwiema osiami OX.


4.27. Tabela wartosci

4.27. Tabela wartości

Tabela wartości pozwala na wyświetlenie punktów tworzących widoczne na ekranie krzywe w postaci tabeli. Jest pokazywana w wyniku po naciśnięciu przycisku [image] lub z menu Plik za pomocą polecenia Tabela danych.... Tabelę wartości można oglądać tylko w trybie administratora lub trybie pełnym.

W tabeli znajdują się czasy i wartości kolejnych zmiennych z wykresu. W tabeli wyświetlane są wszystkie punkty pomiarowe odpowiadające kolejnym jej wierszom. Jeśli liczba wierszy przekracza możliwą do wyświetlenia w oknie, wtedy z prawej strony okna pojawi się suwak.

Jeśli wybrany został sposób próbkowania ze stałym okresem próbkowania, wówczas liczba pomiarów w tabeli dla każdej zmiennej jest jednakowa.

Rysunek: Tabela danych.

Jeśli w oknie trendów aktywna jest linia odczytu, wówczas przesuwanie jej powoduje przesuwanie odpowiadającej jej wyselekcjonowanej linii w tabeli (z ewentualnym dodatkowym przesunięciem suwaka, tak aby wyselekcjonowana linia była zawsze widoczna). Odpowiednio zmiana położenia wyselekcjonowanej linii (spowodowana przez kliknięcie myszką w określonym wierszu) powoduje odpowiadającą zmianę położenia jej linii odczytu w obszarze wykresów.

Tabelę wartości można zapisać do pliku przy pomocy komendy Eksport danych, dostępnej w górnym menu Tabeli.


4.28. Zmiana palety kolorow

4.28. Zmiana palety kolorów

W programie AsTrend istnieje możliwość zdefiniowania domyślnej palety kolorów. Kolejne krzywe dodawane do zestawu będą przyjmować kolory zgodnie z tą paletą. Wywołanie okna definiującego tę paletę odbywa się przy pomocy przycisku [image] lub menu Plik > polecenie Opcje programu > okno 'Parametry programu’ > zakładka Paleta kolorów

Rysunek: Parametry programu - paleta kolorów.

Przycisk Standard umożliwia powrót do ustawień domyślnych dla programu AsTrend. Wybór nowego koloru odbywa się przez kliknięcie w prawym okienku koloru. Zdefiniowany przez operatora zestaw będzie pamiętany przez program, aż do następnej zmiany.


4.29. Opcje programu

Opcje programu dostępne z poziomu menu Plik > Opcje programu... pozwalają dokonać ustawień dla programu AsTrend w następujących obszarach funkcjonalnych (większość z opcji została już omówiona we wcześniejszych rozdziałach, poświęconych poszczególnym aspektom obsługi programu AsTrend):

- linie odczytu wykresu;

- położenie okna trendów;

- serwery danych;

- okno otwarcia pliku trendu;

- tytuł, nagłówek i stopka wydruku;

- zapamiętywanie bieżącego układu legendy jako wariantu domyślnego dla nowych plików trendów;

- definiowanie palety kolorów;

- wybór generowanych ostrzeżeń;

- parametry automatyki wyświetlania trendów (w sytuacji, kiedy nie użyto w systemie asix mechanizmu agregacji).

Grubość linii odczytu (głównej i dodatkowej) określana jest przy pomocy okna Opcje programu > zakładka Wykres.

Rysunek: Opcje programu - wykres.

Zakładka Położenie okna pozwala określić, czy podczas pracy programu AsTrend poza aplikacją systemu asix informacje o położeniu okna i opcja blokady zmiany rozmiarów okna trendów będą ignorowane.

Rysunek: Opcje programu - położenie okna.

Zakładka Sieć daje możliwość zadeklarowania nazwy serwera danych, z którego pobierane będą dane do wyświetlania wykresów trendów oraz maksymalnego czasu oczekiwania na zgłoszenie się serwera i maksymalnego czasu odpowiedzi serwera danych:

Rysunek: Opcje programu - sieć.

Okno otwarcia trendu to zakładka parametru, który pozwala określić rodzaj okna, jakie będzie używane do otwierania plików trendu (z lub bez opcji podglądu zawartości trendu) - opcja działa tylko wtedy, gdy program AsTrend uruchamiany jest samodzielnie:

Rysunek: Opcje programu - okno otwarcia trendu.

Zakładka Wydruk umożliwia zdefiniowanie tekstu tytułu, nagłówka i stopki - domyślnych dla nowo tworzonych trendów:

Rysunek: Opcje programu - wydruk.

Zakładka Legenda umożliwia ustawienie opcji bieżącego układu legendy jako domyślnego dla nowo tworzonych plików trendu.

Rysunek: Opcje programu - legenda.

Zakładka Paleta kolorów pozwala przygotować domyślną paletę kolorów, zgodnie z którą dodawane będą do zestawu kolejne krzywe. Kolory definiowane - to kolory indywidualnie definiowane prze użytkownika.

Rysunek: Opcje programu - paleta kolorów.

Zakładka Ostrzeżenia zawiera listę możliwych do wyświetlenia typów ostrzeżeń - zaznaczenie checkboxu przy wybranym typie oznacza, że ten rodzaj ostrzeżenia będzie wyświetlany w trakcie pracy programu AsTrend.

Rysunek: Opcje programu - ostrzeżenia.

Zakładka Automatyka wykorzystywana jest w przypadku stosowania automatyki wyświetlania trendów w sytuacji, kiedy nie użyto w systemie asix mechanizmu agregacji. Patrz: rozdział 4.14. Automatyka wyświetlania trendów.

Rysunek: Opcje programu - automatyka.


5. Konfiguracja modulu sieciowego Aslink

5. Konfiguracja modułu sieciowego Aslink

Do poprawnej pracy programu AsTrend5 nie jest wymagana konfiguracja modułu Aslink odpowiedzialnego za dostarczanie danych archiwalnych - prawidłowe działanie systemu zapewniają domyślne ustawienia modułu sieciowego.

Jedynie parametr określający protokoły sieciowe oraz parametr deklarujący nazwę komputera mogą wymagać określenia dla stanowiska sieciowego:

- w przypadku pracy programu AsTrend w połączeniu z aplikacją systemu asix ustawienie parametru Protokoły sieciowe i parametru Nazwa komputera pobierane są z pliku konfiguracyjnego aplikacji (plik XML);

Ustawienie parametru: Protokoły sieciowe:

Architekt > Obszary i komputery > moduł Moduł sieci > zakładka Standardowe

Ustawienie parametru: Nazwa komputera:

Architekt > Obszary i komputery > moduł Moduł sieci > zakładka Standardowe

- w przypadku niezależnej pracy programu AsTrend, należy umieścić w pliku ASLINK.INI (znajdującym się w katalogu, w którym zainstalowano system asix) następujące zapisy:

[ASLINK]

NAZWA=ASIXTREND

ADAPTER=TCPIP

Wymieniony plik powinien się znaleźć w katalogu, z którego jest uruchamiany program AsTrend.


4.8. Typ wykresu serii

Wyboru typu wykresu serii dokonać można przy pomocy przycisków [image] [image] umieszczonych w pasku narzędzi. Możliwe jest również do tego celu wykorzystanie menu Seria. Dostępne są dwa typy wykresów:

  • liniowy (wybierany przyciskiem [image] lub poleceniem Liniowy z menu Seria),

  • słupkowy (wybierany przyciskiem [image] lub poleceniem Słupkowy z menu Seria).

Jeden z typów wykresów (domyślnie liniowy) jest stale wybrany (przycisk jest wciśnięty) i służy jako typ podczas dodawania kolejnych zmiennych do trendu. Wybór ten można w każdej chwili zmienić.

Możliwa jest również zmiana typu wykresu już istniejącego. W tym celu należy najpierw wyselekcjonować zmienną, której typ wykresu chcemy zmienić, a następnie nacisnąć jeden z przycisków zmieniających typ.


4.11. Wybor atrybutow trendu

4.11. Wybór atrybutów trendu

Okno trendu posiada pewną grupę atrybutów, które mają wpływ na jego wygląd. Mogą one być włączane lub wyłączane przy pomocy odpowiednich przycisków na pasku narzędzi lub odpowiadających im funkcji menu. Dostępne funkcje tej grupy obejmują załączanie i wyłączanie:

  • osi i siatki

  • legendy

  • linii odczytu

  • trójwymiarowości.

Domyślnie włączone są osie, siatka, wszystkie paski narzędzi oraz legenda.


4. Obsluga programu

4. Obsługa programu

Obsługa programu AsTrend jest bardzo prosta. Typowe czynności to:

  • wyświetlanie definicji trendów,

  • operacje wykonywane na zdefiniowanych trendach,

  • drukowanie trendów,

  • definiowanie nowych trendów.

Pierwsze trzy czynności ograniczają się do wykonywania podstawowych funkcji umieszczonych w menu lub pasku zadań. Definiowanie nowych trendów ułatwia wbudowany kreator trendów.